function [trend, seas] = dseasq(y, choice);

% Rw, Re prior estimates (see paper)
%ddy = diff(y(5:end)-y(1:end-4));
%[acrr, acov] = acf(ddy, 0);

R = 1; %acov(1) / 12;
Rw = diag([R; R; R; 0; 0]);
Re = R*0.0001;
S0 = diag([1 1 1 1 1]);

% Initial condition x0 estimate (regression on first two years)

N = [
  1 0 1 0 0
  1 1 0 0 0
  1 2 0 0 1
  1 3 0 1 0
  1 4 1 0 0
  1 5 0 0 0
  1 6 0 0 1
  1 7 0 1 0];

b = N \ y(1:8);
b([3 4 5]) = b([3 4 5]) - mean([0; b([3 4 5])]);
x0 = [y(1)-b(3); b(2); b(3); b(4); b(5)];

A = [
  1,  1,  0,  0,  0
  0,  1,  0,  0,  0
  0,  0, -1, -1, -1
  0,  0,  1,  0,  0
  0,  0,  0,  1,  0
];

B = [
  0
  0
  0
  0
  0
];

C = [
  1,  0,  1,  0,  0
  ];

[xx, yy, S] = kalman([y zeros(size(y))], A, B, C, Rw, Re, x0, S0);

trend = xx.smo(:,1);
%trend.pre = xx.pre(:,1);
%trend.fil = xx.fil(:,1);

seas = xx.smo(:,3);