%*****************************************
% PRESENTATION OF RESULTS OF KALMAN FILTER 
%*****************************************

close all
clear

load kalm
load Base_NAIRU

format
  npar =  15;       %...14 parameters, 15 je gama
  ns   =  6;        %...          states
  nx   =  npar+ns;  %...          parameters & states
  ny   =  4;        %...          outputs
  nyy  =  9;        %...          outputs & states
  nu   = 11;        %...          inputs
  np   =  npar; 
     
[nx,nt]=size(T_xdl_s(:,:,1));
tt = (1996.00:1/4:1996.00+(nt-1)/4)';
nt1 = 2:nt+1;

% Filtered/Predicted/Smoothed states
  XF = T_xdl_f(1:nx,:,:);
  XP = T_xdl_p(1:nx,nt1,:);
  XS = T_xdl_s(1:nx,:,:);
  % Data of Output
  DY = YDAT';
   
% Standard Deviations  
for i=1:pocet-1
  sig_f(:,:,i)=cat(3,ld2sig(T_xdl_f(:,:,i)).^(1/2));
end

for i=1:pocet-1
  sig_s(:,:,i)=cat(3,ld2sig(T_xdl_s(:,:,i)).^(1/2));
end
% Simulation of function g(x*,u)
%*******************************
nt1 = (2:nt+1)';
uu = UDAT';
for i=1:pocet-1

 % Prediction
  xx(:,:,i) = T_xdl_p(:,nt1,i)';
     
  gp(:,1,i) = cat(3, xx(:,npar+1,i));                           %... mi_t
  
  gp(:,2,i) = cat(3, xx(:,npar+2,i));                           %... yd_t;

  gp(:,3,i) = cat(3, xx(:,npar+3,i));                           %... ud_t;
  
  gp(:,4,i) = cat(3, xx(:,npar+4,i));                           %... pin_t
  
  gp(:,5,i) = cat(3, xx(:,npar+6,i));                           %... NAIRU_t
  
  gp(:,6,i) = cat(3, xx(:,npar+1,i)) + cat(3, xx(:,npar+2,i));  %... y_t

  gp(:,7,i) = cat(3, xx(:,npar+3,i)) + cat(3, xx(:,npar+6,i));  %... ur_t

  gp(:,8,i) = cat(3, xx(:,12,i)) .* cat(3, xx(:,npar+4,i)) + ...
              (1-cat(3, xx(:,12,i))) .* uu(:,8) + cat(3, xx(:,13,i));         %... pi_t

  gp(:,9,i) = cat(3, xx(:,14,i));                           %... gamma_t   
  gp(:,10,i) = cat(3, xx(:,npar+5,i));                           %... gnairu_t   
  
% Filtration
  xx(:,:,i) = T_xdl_f(:,:,i)';
     
  gf(:,1,i) = cat(3, xx(:,npar+1,i));                           %... mi_t
  
  gf(:,2,i) = cat(3, xx(:,npar+2,i));                           %... yd_t;

  gf(:,3,i) = cat(3, xx(:,npar+3,i));                           %... ud_t;
  
  gf(:,4,i) = cat(3, xx(:,npar+4,i));                           %... pin_t
  
  gf(:,5,i) = cat(3, xx(:,npar+6,i));                           %... NAIRU_t
  
  gf(:,6,i) = cat(3, xx(:,npar+1,i)) + cat(3, xx(:,npar+2,i));  %... y_t

  gf(:,7,i) = cat(3, xx(:,npar+3,i)) + cat(3, xx(:,npar+6,i));  %... ur_t
  
  gf(:,8,i) = cat(3, xx(:,12,i)) .* cat(3, xx(:,npar+4,i)) + ...
              (1-cat(3, xx(:,12,i))) .* uu(:,8) + cat(3, xx(:,13,i));  %... pi_t

  gf(:,9,i) = cat(3, xx(:,14,i));                               %... gamma_t             
  gf(:,10,i) = cat(3, xx(:,npar+5,i));                          %... gnairu_t

% Smoothing
  xx(:,:,i) = T_xdl_s(:,:,i)';
     
  gs(:,1,i) = cat(3, xx(:,npar+1,i));                           %... mi_t
  
  gs(:,2,i) = cat(3, xx(:,npar+2,i));                           %... yd_t;

  gs(:,3,i) = cat(3, xx(:,npar+3,i));                           %... ud_t;
  
  gs(:,4,i) = cat(3, xx(:,npar+4,i));                           %... pin_t
  
  gs(:,5,i) = cat(3, xx(:,npar+6,i));                           %... NAIRU_t
  
  gs(:,6,i) = cat(3, xx(:,npar+1,i)) + cat(3, xx(:,npar+2,i));  %... y_t

  gs(:,7,i) = cat(3, xx(:,npar+3,i)) + cat(3, xx(:,npar+6,i));  %... ur_t
  
  gs(:,8,i) = cat(3, xx(:,12,i)).* cat(3, xx(:,npar+4,i)) + ...
              (1-cat(3, xx(:,12,i))).* uu(:,8) + cat(3, xx(:,13,i));         %... pi_t
  
  gs(:,9,i) = cat(3, xx(:,14,i));                           %... gamma_t   
  gs(:,10,i) = cat(3, xx(:,npar+5,i));                           %... gnairu_t
  
  
 % Filtered/Predicted/Smoothed outputs
  YF(:,1:nyy,i)  = cat(3,gf(:,1:nyy,i));
  YP(:,1:nyy,i)  = cat(3,gp(:,1:nyy,i));
  YS(:,1:nyy,i)  = cat(3,gs(:,1:nyy,i));
end;
 
 par_p = XP(1:npar+2,:,pocet-1);
 par_f = XF(1:npar+2,:,pocet-1);
 par_s = XS(1:npar+2,:,pocet-1);
 
 std_f = sig_f(1:npar+2,:,pocet-1);
 std_s = sig_s(1:npar+2,:,pocet-1);
 
 x0_f =  T_xdl_p(1:nx,1,pocet-1);
 xN_f =  T_xdl_s(1:nx,nt,pocet-1);

 ygen_p = YP(:,1:nyy,pocet-1);
 ygen_f = YF(:,1:nyy,pocet-1);
 ygen_s = YS(:,1:nyy,pocet-1);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%save Show_Nairu par_p par_f par_s  std_f  std_s  x0_f  xN_f  DY  ygen_f  ygen_s  npar 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Initial Values of Parameters
%%%%%%%%%%%%%%%%%%%%%%%%%%%
%...diary Parameters_NAIRU.txt %<---<<<
%%%%%%%%%%%%%%%%%%%%%%%%%%%
disp('   ');
disp('   ');
disp('   C z e c h   R e p u b l i c');
disp('   ');
disp('   State-Space Model of NAIRU');
disp('   ~~~~~~~~~~~~~~~~~~~~~~~~~');
disp('   ');
disp('   ');
disp('   Smoothed Values of   t  -  i n v a r i a n t   Parameters');
disp('   *********************************************************');
disp('  ');
disp('   gamma(t)     =  m1 * gamma^ss + (1-m1) * gamma(t-1)  +  w^gamma_t     ( 1 )');
disp('   _________________________________________________________________');
disp('    m1');
disp('   iter = 1')
disp([XS(1,1,1)]);
disp(['   iter = ',int2str(pocet-1)])
disp([XS(1,1,pocet-1)]);
disp('    s_m1   ');
disp('   iter = 1')
disp([sig_s(1,1,1)]);
disp(['   iter = ',int2str(pocet-1)])
disp([sig_s(1,1,pocet-1)]);
disp('  ');
disp('  ');
disp('  ');
disp('   gap^y_t  =  a_1 gap^y_t-1  +  a_2 r^d_t  +  a3 q^d_t  +  w^gap^y_t   ( 2 )');
disp('   __________________________________________________________________');
disp('    a1        a2        a3');
disp('   iter = 1')
disp([XS(2,1,1),XS(3,1,1),XS(4,1,1)]);
disp(['   iter = ',int2str(pocet-1)])
disp([XS(2,1,pocet-1),XS(3,1,pocet-1),XS(4,1,pocet-1)]);
disp('    s_a1      s_a2      s_a3  ');
disp('   iter = 1')
disp([sig_s(2,1,1),sig_s(3,1,1),sig_s(4,1,1)]);
disp(['   iter = ',int2str(pocet-1)])
disp([sig_s(2,1,pocet-1),sig_s(3,1,pocet-1),sig_s(4,1,pocet-1)]);
disp('  ');
disp('  ');
disp('   gap^ur_t =  b_1 gap^y_t  +  b_2 gap^ur_t-1  +  w^gap^ur_t            ( 3 )');
disp('   _________________________________________________________');
disp('    b1        b2');
disp('   iter = 1')
disp([XS(5,1,1),XS(6,1,1)]);
disp(['   iter = ',int2str(pocet-1)])
disp([XS(5,1,pocet-1),XS(6,1,pocet-1)]);
disp('    s_b1      s_b2 ');
disp('   iter = 1')
disp([sig_s(5,1,1),sig_s(6,1,1)]);
disp(['   iter = ',int2str(pocet-1)])
disp([sig_s(5,1,pocet-1),sig_s(6,1,pocet-1)]);
disp('  ');
disp('   pi^n_t  =  c_1 pi^m_t  +  c_2 E_t pin_t+1  +  c_3 pi^o_t  +');
disp('             + (1 - c_1 - c_2 - c_3) pi^n_t   + ');
disp('             +  c_4 (gap^ur_t / ur^long_t)    + ');
disp('             +  c_5 (gap^ur_t-gap^ur_t-1)     +  w^pi_n_t               ( 4 )');
disp('   ___________________________________________________________'); 
disp('    c1        c2        c3        c4        c5 ');
disp('   iter = 1')
disp([XS(7,1,1),XS(8,1,1),XS(9,1,1),XS(10,1,1),XS(11,1,1)]);
disp(['   iter = ',int2str(pocet-1)])
disp([XS(7,1,pocet-1),XS(8,1,pocet-1),XS(9,1,pocet-1),XS(10,1,pocet-1),XS(11,1,pocet-1)]);
disp('    s_c1      s_c2      s_c3      s_c4      s_c5  ');
disp('   iter = 1')
disp([sig_s(7,1,1),sig_s(8,1,1),sig_s(9,1,1),sig_s(10,1,1),sig_s(11,1,1)]);
disp(['   iter = ',int2str(pocet-1)])
disp([sig_s(7,1,pocet-1),sig_s(8,1,pocet-1),sig_s(9,1,pocet-1),sig_s(10,1,pocet-1),sig_s(11,1,pocet-1)]);
disp('  ');
disp('  '); 
disp('   mi_t =  mi_t-1  + gamma_t + w^mi_t');
disp('  '); 
disp('   NAIRU_t =  NAIRU_t-1  +  w^NAIRU_t');
disp('  ');
disp('   y_t     =  mi_t  +  gap^y_t');
disp('  ');
disp('   ur_t    =  NAIRU_t  +  gap^ur_t');
disp('  ');

%%%%%%%%%%%%%%%%%%%%
%...diary off %<---<<<
%%%%%%%%%%%%%%%%%%%

disp('   Error Standard Deviations');
disp('   _________________________');
disp('   iter = 1')
disp(['   S(w^gamma)   = ',num2str(sig_s(14,1,1))]);
disp(['   S(w^yd)      = ',num2str(sig_s(npar+2,1,1))]);
disp(['   S(w^ud)      = ',num2str(sig_s(npar+3,1,1))]);
disp(['   S(w^pin)     = ',num2str(sig_s(npar+4,1,1))]);
disp(['   S(w^NAIRU)   = ',num2str(sig_s(npar+6,1,1))]);
disp(['   iter = ',int2str(pocet-1)])
disp(['   S(w^gamma)      = ',num2str(sig_s(14,1,pocet-1))]);
disp(['   S(w^yd)      = ',num2str(sig_s(npar+2,1,pocet-1))]);
disp(['   S(w^ud)      = ',num2str(sig_s(npar+3,1,pocet-1))]);
disp(['   S(w^pin)     = ',num2str(sig_s(npar+4,1,pocet-1))]);
disp(['   S(w^NAIRU)   = ',num2str(sig_s(npar+6,1,pocet-1))]);
disp('   ');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
disp('   ');
disp('   S m o o t h e d   I n i t i a l   C o n d i t i o n');
disp('   ');
disp('    1        2         3        4           5         6');     
disp('   mi(0)   yd(0)     ud(0)    pin(0)    NAIRU(0)    gamma(0)');
disp('   iter = 1')
disp([XS(npar+1,1,1),XS(npar+2,1,1),XS(npar+3,1,1),XS(npar+4,1,1),XS(npar+6,1,1),XS(14,1,1)]);
disp(['   iter = ',int2str(pocet-1)])
disp([XS(npar+1,1,pocet-1),XS(npar+2,1,pocet-1),XS(npar+3,1,pocet-1),XS(npar+4,1,pocet-1),XS(npar+6,1,pocet-1),XS(14,1,pocet-1)]);
disp('  s_mi(0)  s_yd(0)   s_ud(0)    s_pin(0)  s_NAIRU(0)  s_gamma(0)');
disp('   iter = 1')
disp([sig_s(npar+1,1,1),sig_s(npar+2,1,1),sig_s(npar+3,1,1),sig_s(npar+4,1,1),sig_s(npar+6,1,1),sig_s(14,1,1)]);
disp(['   iter = ',int2str(pocet-1)])
disp([sig_s(npar+1,1,pocet-1),sig_s(npar+2,1,pocet-1),sig_s(npar+3,1,pocet-1),sig_s(npar+4,1,pocet-1),sig_s(npar+6,1,pocet-1),sig_s(14,1,pocet-1)]);
disp('   ');
%%%%%%%%%%%%%%%
%...diary off %<---<<<
%%%%%%%%%%%%%%%
warning off;


% G R A F Y
%--------------

% Predicted/Filtered/Smoothed parametrs
%------------------------------------------
set(0,'DefaultAxesFontSize',9);
set(0,'DefaultLineLineWidth',0.5);
set(0,'DefaultAxesFontWeight','demi');


iplot = 0;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iplot = iplot+1;
figure(iplot)
set(gcf,'Name','Last Iteration Changes in Parameters'); 
stem((1:npar-1)',zag(1:npar-1),'r.')
hold on
stem((1:npar-1)',zag(1:npar-1),'bs')
hold on
plot((1:npar-1)',zeros(npar-1,1),'k')
hold on
axis([min((1:npar-1)')-0.5, max((1:npar-1)')+0.5, min(zag(1:npar-1))-0.0001,...
                                                max(zag(1:npar-1))+0.0001])
title(['Last Iteration Changes in Parameters ( Last Iteration Number: ',num2str(pocet-1),')'])
ylabel('value of last change')
xlabel('number of parameters')
grid
text( 1.2,zag( 1),'m_1')
text( 2.2,zag( 2),'a_1')
text( 3.2,zag( 3),'a_2')
text( 4.2,zag( 4),'a_3')
text( 5.2,zag( 5),'b_1')
text( 6.2,zag( 6),'b_2')
text( 7.2,zag( 7),'c_1')
text( 8.2,zag( 8),'c_2')
text( 9.2,zag( 9),'c_3')
text(10.2,zag(10),'c_4')
text(11.2,zag(11),'c_5')
text(12.2,zag(12),'h_1')
text(13.2,zag(13),'h_2')
text(14.2,zag(14),'m_2')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iplot = iplot+1;
figure(iplot);
set(gcf,'Name','Quarterly Model Inputs'); 

subplot(3,3,1)
plot(tt,100*U_d(1,:)','b.-')
hold on
plot(tt,zeros(size(tt)),'k:');
hold on
title('gap of domestic real interest rate')
ylabel('r^{gap}_t [per cent]');
axis([min(tt)-0.25, max(tt)+0.25, min(100*U_d(1,:)')-0.5, max(100*U_d(1,:))+0.5])

subplot(3,3,2)
plot(tt,(exp(U_d(2,:))-1)*400','b.-')
hold on
plot(tt,zeros(size(tt)),'k:');
hold on
title('gap of log real exchange rate')
ylabel('lz^{gap}_t [per cent]');
axis([min(tt)-0.25, max(tt)+0.25, min(400*U_d(2,:))-0.5, max(400*U_d(2,:))+1.5])

subplot(3,3,4)
plot(tt,400*U_d(3,:)','r.-')
hold on
plot(tt,zeros(size(tt)),'k:');
hold on
title('import price inflation rate')
ylabel('{\pi}^m_t + {\Delta}lz^{eq}_t [per cent]');
axis([min(tt)-0.25, max(tt)+0.25, min(U_d(3,:)*400)-1, max(U_d(3,:)*400)+1])

subplot(3,3,5)
plot(tt,400*U_d(5,:)','r.-')
hold on
plot(tt,zeros(size(tt)),'k:');
hold on
title('oil price inflation ')
ylabel('{\pi}^o_t [per cent]');
axis([min(tt)-0.25, max(tt)+0.25, min(U_d(5,:)*400)-5, max(U_d(5,:)*400)+10])

subplot(3,3,7)
plot(tt,100*U_d(6,:)','b.-')
hold on
title('long time unemployment rate')
ylabel('ur^{long}_t [per cent]');
axis([min(tt)-0.25, max(tt)+0.25, min(U_d(6,:)*100)-0.5, max(U_d(6,:)*100)+0.5])

subplot(3,3,8)
plot(tt,(exp(U_d(7,:)')-1)*400,'g.-')
hold on
plot(tt,mean((exp(U_d(7,:)')-1)*400)*ones(size(tt)),'m:');
hold on
title('annual SS potential product growth rate')
ylabel('{\gamma}^{ss} [annual per cent]');
axis([min(tt)-0.25, max(tt)+0.25, min((exp(U_d(7,:)')-1)*400)-0.2, max((exp(U_d(7,:)')-1)*400)+0.2])

subplot(3,3,6)
plot(tt,400*U_d(8,:)','b.-')
hold on
plot(tt,zeros(size(tt)),'k:');
hold on
title('regulated price inflation ')
ylabel('{\pi}^r_{t} [year per cent]');
axis([min(tt)-0.25, max(tt)+0.25, min(400*U_d(8,:))-1, max(400*U_d(8,:))+5])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

iplot = iplot+1;
figure(iplot);
set(gcf,'Name','Filtered Product'); 
subplot(311)
 plot(tt(2:nt),400*diff(YDAT(1,:)'),'r+-')
 hold on
 plot(tt(2:nt),400*U_d(7,2:nt)','k*-')
 hold on
 plot(tt(2:nt),400*diff(YF(1:nt,6,pocet-1)),'gx-');
 hold on
 plot(tt(2:nt),400*diff(YF(1:nt,1,pocet-1)),'b.-');
 hold on
 plot(tt(2:nt),zeros(nt-1,1),'k:');
 hold on
 legend('{\Delta}y    data',...
        '{\Delta}y^{eq} data (CNB)',...
       ['{\Delta}y    filtration  (iter = ',int2str(pocet-1),')'],...
       ['{\Delta}y^*   filtration  (iter = ',int2str(pocet-1),')']);
   
 axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,...
       min([min(400*diff(YDAT(1,:)')),min(400*diff(YF(1:nt,6,pocet-1))),min(400*diff(YF(1:nt,1,pocet-1)))])-1,...
       max([max(400*diff(YDAT(1,:)')),max(400*diff(YF(1:nt,6,pocet-1))),max(400*diff(YF(1:nt,1,pocet-1)))])+1]);
    
 title(['Quarterly Real & Potential Product q-o-q Rate t - v a r y i n g  model']);%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('[year percentage]');
 
subplot(312)
 plot(tt(2:nt),100*(exp(YF(2:nt,2,pocet-1))-1),'b.-');
 hold on
 plot(tt(2:nt),zeros(nt-1,1),'k:');
 hold on
legend(['gap^{y}   filtration  (iter = ',int2str(pocet-1),')']);
 axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,min(100*(exp(YF(2:nt,2,pocet-1))-1))-0.7 ,max(100*(exp(YF(2:nt,2,pocet-1))-1))+0.7]);
 title(['Quarterly Output Gap   t - v a r y i n g  model']);%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('[percentage ]');
 
 subplot(313)
 plot(tt(2:nt),400*YDAT(2,2:nt)','r+-')
 hold on
 plot(tt(2:nt),400*(YF(2:nt,4,pocet-1)),'gx-');
 hold on
 plot(tt(2:nt),400*YDAT(4,2:nt)','b.-')
 hold on
 plot(tt(2:nt),400*(YF(2:nt,8,pocet-1)),'mo-');
 hold on
 plot(tt(2:nt),zeros(nt-1,1),'k:');
 hold on
 legend('{\pi}^n   data',...
       ['{\pi}^n   filtration  (iter = ',int2str(pocet-1),')'],...
        '{\pi}    data',...
       ['{\pi}    filtration  (iter = ',int2str(pocet-1),')']);
 axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,...
       min([min(400*(YDAT(2,2:nt)')),min(400*(YF(2:nt,4,pocet-1))),...
            min(400*(YDAT(4,2:nt)')),min(400*(YF(2:nt,8,pocet-1)))])-1,...
       max([max(400*(YDAT(2,2:nt)')),max(400*(YF(2:nt,4,pocet-1))),...
            max(400*(YDAT(4,2:nt)')),max(400*(YF(2:nt,8,pocet-1)))])+1]);
 title(['Quarterly Net Inflation & Quarterly CP Inflation   t - v a r y i n g  model']);%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('[year per cent ]');


iplot = iplot+1;
figure(iplot);
set(gcf,'Name','Smoothed Product'); 
subplot(311)
 plot(tt(2:nt),400*diff(YDAT(1,:)'),'r+-')
 hold on
 plot(tt(2:nt),400*U_d(7,2:nt)','k*-')
 hold on
 plot(tt(2:nt),400*diff(YS(1:nt,6,pocet-1)),'gx-');
 hold on
 plot(tt(2:nt),400*diff(YS(1:nt,1,pocet-1)),'b.-');
 hold on
 plot(tt(2:nt),zeros(nt-1,1),'k:');
 hold on
 legend('{\Delta}y    data',...
        '{\Delta}y^{eq} data (CNB)',...
       ['{\Delta}y    smoothing  (iter = ',int2str(pocet-1),')'],...
       ['{\Delta}y^*   smoothing  (iter = ',int2str(pocet-1),')']);
  axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,...
       min([min(400*diff(YDAT(1,:)')),min(400*diff(YS(1:nt,6,pocet-1))),min(400*diff(YS(1:nt,1,pocet-1)))])-1,...
       max([max(400*diff(YDAT(1,:)')),max(400*diff(YS(1:nt,6,pocet-1))),max(400*diff(YS(1:nt,1,pocet-1)))])+1]);
    
 title(['Quarterly Real & Potential Product q-o-q Rate  t - i n v a r i a n t  model']);%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('[year percentage ]');
 
subplot(312)
 plot(tt(2:nt),100*(exp(YS(2:nt,2,pocet-1))-1),'b.-');
 hold on
 plot(tt(2:nt),zeros(nt-1,1),'k:');
 hold on
 legend(['gap^y   smoothing  (iter = ',int2str(pocet-1),')']);
 axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,min(100*(exp(YS(2:nt,2,pocet-1))-1))-0.75,max(100*(exp(YS(2:nt,2,pocet-1))-1))+0.75]);
 title(['Quarterly Production Gap   t - i n v a r i a n t  model']);%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel(' [ percentage ]');
 
 
 subplot(313)
 plot(tt(2:nt),400*YDAT(2,2:nt)','r+-')
 hold on
 plot(tt(2:nt),400*(YS(2:nt,4,pocet-1)),'gx-');
 hold on
 plot(tt(2:nt),400*YDAT(4,2:nt)','b.-')
 hold on
 plot(tt(2:nt),400*(YS(2:nt,8,pocet-1)),'mo-');
 %hold on
 %plot(tt(2:nt),zeros(nt-1,1),'k:');
 hold on
 plot(tt(2:nt),zeros(nt-1,1),'k:');
 hold on
 legend('{\pi}^n   data',...
       ['{\pi}^n   smoothing  (iter = ',int2str(pocet-1),')'],...
        '{\pi}    data',...
       ['{\pi}    smoothing  (iter = ',int2str(pocet-1),')']);
 axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,...
       min([min(400*(YDAT(2,2:nt)')),min(400*(YS(2:nt,4,pocet-1))),...
            min(400*(YDAT(4,2:nt)')),min(400*(YS(2:nt,8,pocet-1)))])-1,...
       max([max(400*(YDAT(2,2:nt)')),max(400*(YS(2:nt,4,pocet-1))),...
            max(400*(YDAT(4,2:nt)')),max(400*(YS(2:nt,8,pocet-1)))])+1]);
 title(['Quarterly Net Inflation & Quarterly CP Inflation   t - i n v a r i a n t  model']);%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('[year per cent ]');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Odstraneni "ulice" !!!
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ur_f        =  100*YDAT(3,1:nt)';
NAIRU_f     =  100*YF(1:nt,5,pocet-1);
gap_ur_f     =  100*(YF(1:nt,3,pocet-1));

kor_NAIRU_f = 0; %... = mean(ur_f)-mean(NAIRU_f); %<---<<< Korekce NAIRU
NAIRU_f     = NAIRU_f   + kor_NAIRU_f;
gap_ur_f    = gap_ur_f  -  kor_NAIRU_f;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

iplot = iplot+1;
figure(iplot);
set(gcf,'Name','Filtered NAIRU'); 
 subplot(311)
 plot(tt(2:nt),(100*YDAT(3,2:nt))','r+-')
 hold on
 plot(tt(2:nt),(100*YF(2:nt,7,pocet-1)),'gx-');
 hold on
 plot(tt(2:nt),(NAIRU_f(2:nt)),'b.-');
 hold on
 plot(tt(2:nt),(100*U_d(6,2:nt)'),'b-');
 hold on
 plot(tt(2:nt),100*(YDAT(3,2:nt)'-U_d(6,2:nt)'),'r-');
 hold on
 legend('ur         data',...
       ['ur         filtration (iter = ',int2str(pocet-1),')'],...
       ['NAIRU   filtration (iter = ',int2str(pocet-1),')'],...
        'ur^{short}     data',... 
        'ur^{long}    data');
  axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,...
        min([min((100*YDAT(3,2:nt))'),min(NAIRU_f(2:nt)),min(100*U_d(6,2:nt)')])-0.5,...
        max([max((100*YDAT(3,2:nt))'),max(NAIRU_f(2:nt)),max(100*U_d(6,2:nt)')])+0.5]);
 ylabel(['ur_t,  NAIRU_t   [ per cent ]']);%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 title('Quarterly Unemployment  &  NAIRU   t - v a r y i n g  model');

subplot(312)
 plot(tt(2:nt),(gap_ur_f(2:nt)),'b.-')
 hold on
  plot(tt(2:nt),zeros(size(YF(2:nt,3,pocet-1))),'k:')
 legend(['gap^{ur}   filtration (iter = ',int2str(pocet-1),')']);
 axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,...
       min(gap_ur_f(2:nt))-0.25,...
       max(gap_ur_f(2:nt))+0.25]);
 title(['Quarterly Unemployment Gap   t - v a r y i n g  model']);%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('gap^{ur}_t   [ per cent ]');
 
 
 subplot(313)
 plot(tt(2:nt),100*YDAT(2,2:nt)','r+-')
 hold on
 plot(tt(2:nt),100*(YF(2:nt,4,pocet-1)),'gx-');
 hold on
 plot(tt(2:nt),100*YDAT(4,2:nt)','b.-')
 hold on
 plot(tt(2:nt),100*(YF(2:nt,8,pocet-1)),'mo-');
 hold on
% plot(tt(2:nt),zeros(nt-1,1),'k:');
% hold on
 plot(tt(2:nt),zeros(nt-1,1),'k:');
 hold on
 legend('{\pi}^n   data',...
       ['{\pi}^n   filtration  (iter = ',int2str(pocet-1),')'],...
        '{\pi}    data',...
       ['{\pi}    filtration  (iter = ',int2str(pocet-1),')']);
 axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,...
       min([min(100*(YDAT(2,2:nt)')),min(100*(YF(2:nt,4,pocet-1))),...
            min(100*(YDAT(4,2:nt)')),min(100*(YF(2:nt,8,pocet-1)))])-0.25,...
       max([max(100*(YDAT(2,2:nt)')),max(100*(YF(2:nt,4,pocet-1))),...
            max(100*(YDAT(4,2:nt)')),max(100*(YF(2:nt,8,pocet-1)))])+0.25]);
 title(['Quarterly Net Inflation & Quarterly CP Inflation   t - v a r y i n g  model']);%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('{\pi}^n_t, {\pi}_t  [ per cent ]');

 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Odstraneni "ulice" !!!
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ur_s        =  100*YDAT(3,1:nt)';
NAIRU_s     =  100*YS(1:nt,5,pocet-1);
gap_ur_s    =  100*YS(1:nt,3,pocet-1);

kor_NAIRU_s = 0; %...   = mean(ur_s)-mean(NAIRU_s); %<---<<< Korekce NAIRU
NAIRU_s     = NAIRU_s   + kor_NAIRU_s;
gap_ur_s    = gap_ur_s  -  kor_NAIRU_s;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

iplot = iplot+1;
figure(iplot);
set(gcf,'Name','Smoothed NAIRU'); 
 subplot(311)
 plot(tt(2:nt),(100*YDAT(3,2:nt))','r+-')
 hold on
 plot(tt(2:nt),(100*YS(2:nt,7,pocet-1)),'gx-');
 hold on
 plot(tt(2:nt),(NAIRU_s(2:nt)),'b.-');
 hold on
 plot(tt(2:nt),100*(YDAT(3,2:nt)'-U_d(6,2:nt)'),'r-');
 hold on
 plot(tt(2:nt),100*(U_d(6,2:nt)'),'b-');
 hold on
 legend('ur         data',...
       ['ur         smoothing (iter = ',int2str(pocet-1),')'],...
       ['NAIRU   smoothing (iter = ',int2str(pocet-1),')'],...
        'ur^{long}     data',...
        'ur^{short}     data');
  axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,...
        min([min((100*YDAT(3,2:nt))'),min(NAIRU_s(2:nt)),min(100*U_d(6,2:nt)')])-0.5,...
        max([max((100*YDAT(3,2:nt))'),max(NAIRU_s(2:nt)),max(100*U_d(6,2:nt)')])+0.5]);
 ylabel(['ur_t,  NAIRU_t   [ per cent ]']);%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 title('Quarterly Unemployment Rate  &  NAIRU   t - i n v a r i a n t  model');
 
subplot(312)
 plot(tt(2:nt),(gap_ur_s(2:nt)),'b.-')
 hold on
  plot(tt(2:nt),zeros(size(YF(2:nt,3,pocet-1))),'k:')
 legend(['gap^{ur}   smoothing (iter = ',int2str(pocet-1),')']);
 axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,...
       min(gap_ur_s(2:nt))-0.25,...
       max(gap_ur_s(2:nt))+0.25]);
 title(['Quarterly Unemployment Gap   t - i n v a r i a n t  model']);%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('gap^{ur}_t   [ per cent ]');
  
 subplot(313)
 plot(tt(2:nt),100*YDAT(2,2:nt)','r+-')
 hold on
 plot(tt(2:nt),100*(YS(2:nt,4,pocet-1)),'gx-');
 hold on
 plot(tt(2:nt),100*YDAT(4,2:nt)','b.-')
 hold on
 plot(tt(2:nt),100*(YS(2:nt,8,pocet-1)),'mo-');
 hold on
% plot(tt(2:nt),zeros(nt-1,1),'k:');
% hold on
 plot(tt(2:nt),zeros(nt-1,1),'k:');
 hold on
 legend('{\pi}^n   data',...
       ['{\pi}^n   smoothing  (iter = ',int2str(pocet-1),')'],...
        '{\pi}    data',...
       ['{\pi}    smoothing  (iter = ',int2str(pocet-1),')']);
 axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,...
       min([min(100*(YDAT(2,2:nt)')),min(100*(YS(2:nt,4,pocet-1))),...
            min(100*(YDAT(4,2:nt)')),min(100*(YS(2:nt,8,pocet-1)))])-0.25,...
       max([max(100*(YDAT(2,2:nt)')),max(100*(YS(2:nt,4,pocet-1))),...
            max(100*(YDAT(4,2:nt)')),max(100*(YS(2:nt,8,pocet-1)))])+0.25]);
 title(['Quarterly Net Inflation & Quarterly CP Inflation,   t - i n v a r i a n t  model']);%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('{\pi}^n_t, {\pi}_t  [ per cent ]');

 
 
 
 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% E  X P E C T A T I O N S  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
set(0,'DefaultAxesFontSize',8);
iplot = iplot+1;
figure(iplot);
set(gcf,'Name','Bayesian expectated net inflation')
subplot(211)
plot(tt(2:nt),DY(2:nt,2)*400,'r.-')
hold on
plot(tt(2:nt),Epin_new_smo(1,1:nt-1,2)'*400,'gx-')
hold on
plot(tt(2:nt),Epin_new_smo(1,1:nt-1,pocet-1)'*400,'b+-')
hold on
ylabel('{\pi}^n, E_{t-1}{\pi}^n_{t} [per cent]')
title('Bayesian expectation   E_{t-1}{\pi}^n_{t}')
legend('{\pi}^n_t         data',...
      ['E_{t-1}{\pi}^n_{t}    I.K.F.`s iter.:   1'],...
      ['E_{t-1}{\pi}^n_{t}    I.K.F.`s iter.: ',int2str(pocet-1),]);
axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25, min([min(DY(:,2))*400,min(Epin_new_smo(1,1:nt-1,2)'*400)])-1.2,...
                                             max([max(DY(:,2))*400,max(Epin_new_smo(1,1:nt-1,2)'*400)])+1.2]);
subplot(212)
plot(tt(2:nt),DY(2:nt,2)*400-Epin_new_smo(1,1:nt-1,2)'*400,'gx-')
hold on
plot(tt(2:nt),DY(2:nt,2)*400-Epin_new_smo(1,1:nt-1,pocet-1)'*400,'b+-')
hold on
hold on
plot(tt(2:nt),mean(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,2)')*ones(nt-1,1)*400,'g-.')
hold on
plot(tt(2:nt),mean(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,pocet-1)')*ones(nt-1,1)*400,'b-.')
hold on
plot(tt(2:nt),mean(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,2)').*400 - 2*std(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,2)')*ones(nt-1,1).*400,'g:')
hold on
plot(tt(2:nt),mean(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,2)')*400 +2*std(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,2)')*ones(nt-1,1)*400,'g:')
hold on
plot(tt(2:nt),mean(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,pocet-1)')*400-2*std(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,pocet-1)')*ones(nt-1,1)*400,'b:')
hold on
plot(tt(2:nt),mean(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,pocet-1)')*400+2*std(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,pocet-1)')*ones(nt-1,1)*400,'b:')
hold on

title('Bayesian expectation errors   ({\pi}^n_t - E_{t-1}{\pi}^n_{t})   &  2MSE intervals')

legend(['({\pi}^n_t - E_{t-1}{\pi}^n_{t})    I.K.F.`s iter.:   1'],...
       ['({\pi}^n_t - E_{t-1}{\pi}^n_{t})    I.K.F.`s iter.: ',int2str(pocet-1)])
ylabel('[per cent]')   
axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,...
                                 min([min(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,2)')*400,...
                                      min(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,pocet-1)')*400])-0.6,...
                                 max([max(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,2)')*400,...
                                      max(DY(2:nt,2)-Epin_new_smo(1,1:nt-1,pocet-1)')*400])+0.6]);
               
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% E  X P E C T A T I O N S  - The End
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
%Filtered/Predictive/Smoothed Parameters
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
t = tt;
set(0,'DefaultAxesFontSize',10)                        

%Equation No.: 1
P1F=[XF(1,1:nt,pocet-1)'];  
   P1F_1=P1F+2*[sig_f(1,1:nt,pocet-1)']; P1F_2=P1F-2*[sig_f(1,1:nt,pocet-1)'];
P1S=[T_xdl_s(1,1:nt,pocet-1)'];  
   P1S_1=P1S+2*[sig_s(1,1:nt,pocet-1)']; P1S_2=P1S-2*[sig_s(1,1:nt,pocet-1)'];

iplot = iplot+1;
figure(iplot);
set(gcf,'Name','Filtered/Smoothed Parameters  x_1(t), ..., x_k(t)  &  2MSE Intervals'); 
subplot(8,3,1)
plot(t,P1F(:,1),'r-');
hold on
plot(t,P1S(:,1),'b-');
hold on
plot(t,P1F_1(:,1),'r.-',t,P1F_2(:,1),'r.-');
hold on
plot(t,P1S_1(:,1),'b-',t,P1S_2(:,1),'b-');
hold on
plot(t(1,1),P1F(1,1),'ro');
hold on
plot(t(1,1),P1F(1,1),'k+');
hold on
plot(t(nt),P1S(nt,1),'bs');
hold on
plot(t(nt),P1S(nt,1),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P1F_2(:,1)),min(P1S(:,1))])-0.05,...
                              max([max(P1F_1(:,1)),max(P1S(:,1))])+0.05]);
ylabel('m_{1}');
title('        {\gamma}_{t}  =  m_1 {\gamma}^{ss}  +  (1-m_1) \gamma_{t}  +  w^{\gamma}_t ')
%title(['( Iteration Number : ',int2str(pocet-1),' )']);
grid
hold off

%subplot(8,3,2);
%axis('off')
%text(0,0.9,['( Iteration Number : ',int2str(pocet-1),' )']);

%Equation No.: 2
P1F=[XF(2:4,1:nt,pocet-1)'];  
   P1F_1=P1F+2*[sig_f(2:4,1:nt,pocet-1)']; P1F_2=P1F-2*[sig_f(2:4,1:nt,pocet-1)'];
P1S=[T_xdl_s(2:4,1:nt,pocet-1)'];  
   P1S_1=P1S+2*[sig_s(2:4,1:nt,pocet-1)']; P1S_2=P1S-2*[sig_s(2:4,1:nt,pocet-1)'];

subplot(8,3,7)
plot(t,P1F(:,1),'r-');
hold on
plot(t,P1S(:,1),'b-');
hold on
plot(t,P1F_1(:,1),'r.-',t,P1F_2(:,1),'r.-');
hold on
plot(t,P1S_1(:,1),'b-',t,P1S_2(:,1),'b-');
hold on
plot(t(1,1),P1F(1,1),'ro');
hold on
plot(t(1,1),P1F(1,1),'k+');
hold on
plot(t(nt),P1S(nt,1),'bs');
hold on
plot(t(nt),P1S(nt,1),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P1F_2(:,1)),min(P1S(:,1))])-0.05,...
                              max([max(P1F_1(:,1)),max(P1S(:,1))])+0.05]);
ylabel('a_{1}');
title('            gap^y_{t}  =  a_1 gap^y_{t-1}  +  a_2 r^d_{t}  +  a_3 q^d_{t}  +  w^{gap^y}_t')
grid
hold off


subplot(8,3,8);
plot(t,P1F(:,2),'r-');
hold on
plot(t,P1S(:,2),'b-');
hold on
plot(t,P1F_1(:,2),'r.-',t,P1F_2(:,2),'r.-');
hold on
plot(t,P1S_1(:,2),'b-',t,P1S_2(:,2),'b-');
hold on
plot(t(1,1),P1F(1,2),'ro');
hold on
plot(t(1,1),P1F(1,2),'k+');
hold on
plot(t(nt),P1S(nt,2),'bs');
hold on
plot(t(nt),P1S(nt,2),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P1F_2(:,2)),min(P1S(:,2))])-0.05,...
                              max([max(P1F_1(:,2)),max(P1S(:,2))])+0.05]);
ylabel('a_{2}');
grid
hold off


subplot(8,3,9);
plot(t,P1F(:,3),'r-');
hold on
plot(t,P1S(:,3),'b-');
hold on
plot(t,P1F_1(:,3),'r.-',t,P1F_2(:,3),'r.-');
hold on
plot(t,P1S_1(:,3),'b-',t,P1S_2(:,3),'b-');
hold on
plot(t(1,1),P1F(1,3),'ro');
hold on
plot(t(1,1),P1F(1,3),'k+');
hold on
plot(t(nt),P1S(nt,3),'bs');
hold on
plot(t(nt),P1S(nt,3),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P1F_2(:,3)),min(P1S(:,3))])-0.05,...
                              max([max(P1F_1(:,3)),max(P1S(:,3))])+0.05]);
ylabel('a_{3}');
grid
hold off


%Equation No.: 2
P2F=[XF(5:6,1:nt,pocet-1)'];  
   P2F_1=P2F+2*[sig_f(5:6,1:nt,pocet-1)']; P2F_2=P2F-2*[sig_f(5:6,1:nt,pocet-1)'];
P2S=[T_xdl_s(5:6,1:nt,pocet-1)'];  
   P2S_1=P2S+2*[sig_s(5:6,1:nt,pocet-1)']; P2S_2=P2S-2*[sig_s(5:6,1:nt,pocet-1)'];

subplot(8,3,13)
plot(t,P2F(:,1),'r-');
hold on
plot(t,P2S(:,1),'b-');
hold on
plot(t,P2F_1(:,1),'r.-',t,P2F_2(:,1),'r.-');
hold on
plot(t,P2S_1(:,1),'b-',t,P2S_2(:,1),'b-');
hold on
plot(t(1,1),P2F(1,1),'ro');
hold on
plot(t(1,1),P2F(1,1),'k+');
hold on
plot(t(nt),P2S(nt,1),'bs');
hold on
plot(t(nt),P2S(nt,1),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P2F_2(:,1)),min(P2S(:,1))])-0.05,...
                              max([max(P2F_1(:,1)),max(P2S(:,1))])+0.05]);
ylabel('b_{1}');
title('    gap^{ur}_{t}  =  b_1 gap^y_{t}  +  b_2 gap^{ur}_{t-1}  +  w^{gap^{ur}}_t')
grid
hold off


subplot(8,3,14);
plot(t,P2F(:,2),'r-');
hold on
plot(t,P2S(:,2),'b-');
hold on
plot(t,P2F_1(:,2),'r.-',t,P2F_2(:,2),'r.-');
hold on
plot(t,P2S_1(:,2),'b-',t,P2S_2(:,2),'b-');
hold on
plot(t(1,1),P2F(1,2),'ro');
hold on
plot(t(1,1),P2F(1,2),'k+');
hold on
plot(t(nt),P2S(nt,2),'bs');
hold on
plot(t(nt),P2S(nt,2),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P2F_2(:,2)),min(P2S(:,2))])-0.05,...
                              max([max(P2F_1(:,2)),max(P2S(:,2))])+0.05]);
ylabel('b_{2}');
grid
hold off


%Equation No.: 3
P3F=[XF(7:14,1:nt,pocet-1)'];  
   P3F_1=P3F+2*[sig_f(7:14,1:nt,pocet-1)']; P3F_2=P3F-2*[sig_f(7:14,1:nt,pocet-1)'];
P3S=[T_xdl_s(7:14,1:nt,pocet-1)'];  
   P3S_1=P3S+2*[sig_s(7:14,1:nt,pocet-1)']; P3S_2=P3S-2*[sig_s(7:14,1:nt,pocet-1)'];

subplot(8,3,19)
plot(t,P3F(:,1),'r-');
hold on
plot(t,P3S(:,1),'b-');
hold on
plot(t,P3F_1(:,1),'r.-',t,P3F_2(:,1),'r.-');
hold on
plot(t,P3S_1(:,1),'b-',t,P3S_2(:,1),'b-');
hold on
plot(t(1,1),P3F(1,1),'ro');
hold on
plot(t(1,1),P3F(1,1),'k+');
hold on
plot(t(nt),P3S(nt,1),'bs');
hold on
plot(t(nt),P3S(nt,1),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P3F_2(:,1)),min(P3S(:,1))])-0.005,...
                              max([max(P3F_1(:,1)),max(P3S(:,1))])+0.005]);
ylabel('c_{1}');
grid
hold off


subplot(8,3,20);
plot(t,P3F(:,2),'r-');
hold on
plot(t,P3S(:,2),'b-');
hold on
plot(t,P3F_1(:,2),'r.-',t,P3F_2(:,2),'r.-');
hold on
plot(t,P3S_1(:,2),'b-',t,P3S_2(:,2),'b-');
hold on
plot(t(1,1),P3F(1,2),'ro');
hold on
plot(t(1,1),P3F(1,2),'k+');
hold on
plot(t(nt),P3S(nt,2),'bs');
hold on
plot(t(nt),P3S(nt,2),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P3F_2(:,2)),min(P3S(:,2))])-0.05,...
                              max([max(P3F_1(:,2)),max(P3S(:,2))])+0.05]);
ylabel('c_{2}');
title('    {\pi}^n_{t}  =  c_1 {\pi}^m_{t}  +  c_2 E_t{\pi}^n_{t+1}  +  c_3 {\pi}^o_{t}  +  (1 - c_1 - c_2 - c_3) {\pi}^n_{t-1}  +  c_4 (gap^{ur}_{t} / ur^{short}_{t})  +  c_5 (gap^{ur}_{t} - gap^{ur}_{t-1})  +  w^{{\pi}^n}_t ');


grid
hold off

subplot(8,3,21)
plot(t,P3F(:,3),'r-');
hold on
plot(t,P3S(:,3),'b-');
hold on
plot(t,P3F_1(:,3),'r.-',t,P3F_2(:,3),'r.-');
hold on
plot(t,P3S_1(:,3),'b-',t,P3S_2(:,3),'b-');
hold on
plot(t(1,1),P3F(1,3),'ro');
hold on
plot(t(1,1),P3F(1,3),'k+');
hold on
plot(t(nt),P3S(nt,3),'bs');
hold on
plot(t(nt),P3S(nt,3),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P3F_2(:,3)),min(P3S(:,3))])-0.005,...
                              max([max(P3F_1(:,3)),max(P3S(:,3))])+0.005]);
ylabel('c_{3}');
grid
hold off


subplot(8,3,22);
plot(t,P3F(:,4),'r-');
hold on
plot(t,P3S(:,4),'b-');
hold on
plot(t,P3F_1(:,4),'r.-',t,P3F_2(:,4),'r.-');
hold on
plot(t,P3S_1(:,4),'b-',t,P3S_2(:,4),'b-');
hold on
plot(t(1,1),P3F(1,4),'ro');
hold on
plot(t(1,1),P3F(1,4),'k+');
hold on
plot(t(nt),P3S(nt,4),'bs');
hold on
plot(t(nt),P3S(nt,4),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P3F_2(:,4)),min(P3S(:,4))])-0.001,...
                              max([max(P3F_1(:,4)),max(P3S(:,4))])+0.001]);
ylabel('c_{4}');
grid
hold off

subplot(8,3,23);
plot(t,P3F(:,5),'r-');
hold on
plot(t,P3S(:,5),'b-');
hold on
plot(t,P3F_1(:,5),'r.-',t,P3F_2(:,5),'r.-');
hold on
plot(t,P3S_1(:,5),'b-',t,P3S_2(:,5),'b-');
hold on
plot(t(1,1),P3F(1,5),'ro');
hold on
plot(t(1,1),P3F(1,5),'k+');
hold on
plot(t(nt),P3S(nt,5),'bs');
hold on
plot(t(nt),P3S(nt,5),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P3F_2(:,5)),min(P3S(:,5))])-0.001,...
                              max([max(P3F_1(:,5)),max(P3S(:,5))])+0.001]);
ylabel('c_{5}');
grid
hold off

subplot(8,3,15);
plot(t,P3F(:,8),'r-');
hold on
plot(t,P3S(:,8),'b-');
hold on
plot(t,P3F_1(:,8),'r.-',t,P3F_2(:,8),'r.-');
hold on
plot(t,P3S_1(:,8),'b-',t,P3S_2(:,8),'b-');
hold on
plot(t(1,1),P3F(1,8),'ro');
hold on
plot(t(1,1),P3F(1,8),'k+');
hold on
plot(t(nt),P3S(nt,8),'bs');
hold on
plot(t(nt),P3S(nt,8),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P3F_2(:,8)),min(P3S(:,8))])-0.01,...
                              max([max(P3F_1(:,8)),max(P3S(:,8))])+0.01]);
title('        NAIRU_{t}  =  NAIRU_{t-1} + m_2{\gamma}_{t,1} + w^{NAIRU}_t ')
ylabel('m_{2}');
grid
hold off

subplot(8,3,2);
plot(t,P3F(:,6),'r-');
hold on
plot(t,P3S(:,6),'b-');
hold on
plot(t,P3F_1(:,6),'r.-',t,P3F_2(:,6),'r.-');
hold on
plot(t,P3S_1(:,6),'b-',t,P3S_2(:,6),'b-');
hold on
plot(t(1,1),P3F(1,6),'ro');
hold on
plot(t(1,1),P3F(1,6),'k+');
hold on
plot(t(nt),P3S(nt,6),'bs');
hold on
plot(t(nt),P3S(nt,6),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P3F_2(:,6)),min(P3S(:,6))])-0.05,...
                              max([max(P3F_1(:,6)),max(P3S(:,6))])+0.05]);
ylabel('h_1');
title('         {\pi}_t  =  h_1 {\pi}^n_t  +  (1-h_1) {\pi}^r_t + h_2 + e^{\pi}_t');
grid
hold off

subplot(8,3,3);
plot(t,P3F(:,7),'r-');
hold on
plot(t,P3S(:,7),'b-');
hold on
plot(t,P3F_1(:,7),'r.-',t,P3F_2(:,7),'r.-');
hold on
plot(t,P3S_1(:,7),'b-',t,P3S_2(:,7),'b-');
hold on
plot(t(1,1),P3F(1,7),'ro');
hold on
plot(t(1,1),P3F(1,7),'k+');
hold on
plot(t(nt),P3S(nt,7),'bs');
hold on
plot(t(nt),P3S(nt,7),'kx');
hold on
axis([min(t)-0.25 max(t)+0.25 min([min(P3F_2(:,7)),min(P3S(:,7))])-0.05,...
                              max([max(P3F_1(:,7)),max(P3S(:,7))])+0.05]);
ylabel('h_2');
grid
hold off

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
% F i l t e r e d   P a r a m e t e r s   a n d   S t a t e s
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

set(0,'DefaultAxesFontSize',8.5)
iplot = iplot+1;
figure(iplot);
clf
set(gcf,'Name','Iterations of Filtered Parameters and States')
 
for i = 1:11;
  subplot(7,3,i)
 for j = 2:3:pocet-2,
  plot(tt,XF(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XF(i,1:nt,1),'m.-')
 hold on
 plot(tt,XF(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 if i == 1,  ylabel(['m_{1}']);  end
 if i == 2,  ylabel(['a_{1}']);  end
 if i == 3,  ylabel(['a_{2}']);  end
 if i == 4,  ylabel(['a_{3}']);  end
 if i == 5,  ylabel(['b_{1}']);  end
 if i == 6,  ylabel(['b_{2}']);  end
 if i == 7,  ylabel(['c_{1}']);  end
 if i == 8,  ylabel(['c_{2}']);  end
 if i == 9,  ylabel(['c_{3}']);  end
 if i == 10, ylabel(['c_{4}']);  end
 if i == 11  ylabel(['c_{5}']);  end
 
 grid
 hold on
end

i = 14;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XF(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XF(i,1:nt,1),'m.-')
 hold on
 plot(tt,XF(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['m_{2}']);
  grid
 hold on
 
  
 i = 15;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XF(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XF(i,1:nt,1),'m.-')
 hold on
 plot(tt,XF(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['\gamma']); 
  grid
 hold on

i = npar+1;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XF(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XF(i,1:nt,1),'m.-')
 hold on
 plot(tt,XF(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['y^*_t']);
 grid
 hold on

subplot(7,3,2)
title(['Kalman Filter`s Iterations of   F i l t e r e d   Parameters and States   ( Iteration Number : ',int2str(pocet-1),' )'])

i = npar+2;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XF(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XF(i,1:nt,1),'m.-')
 hold on
 plot(tt,XF(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['gap^y_t']);
 grid
hold on

i = npar+3;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XF(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XF(i,1:nt,1),'m.-')
 hold on
 plot(tt,XF(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['gap^{ur}_t']);
 grid
hold on
 
 i = npar+4;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XF(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XF(i,1:nt,1),'m.-')
 hold on
 plot(tt,XF(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['{\pi}^n_t']);
 grid
 hold on 
 
 i = npar+5;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XF(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XF(i,1:nt,1),'m.-')
 hold on
 plot(tt,XF(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['\gamma_1']);
 grid
 hold on
 
 i = npar+6;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XF(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XF(i,1:nt,1),'m.-')
 hold on
 plot(tt,XF(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['NAIRU_t']);
 grid
 hold on 
   
subplot(7,3,21)
axis('off')
text(0,0.9,'L e g e n d');
text(0,0.55,'"points" ... first iteration')
text(0,0.30,'"stars "  ... last iteration')

iplot = iplot+1;
figure(iplot);
clf
set(gcf,'Name','STD of Filtered Parameters and States')
 
for i = 1:11;
  subplot(7,3,i)
 for j = 2:3:pocet-2,
  plot(tt,sig_f(i,:,j)','b-')
  hold on
 end
 plot(tt,sig_f(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_f(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 if i == 1,  ylabel(['std(m_{1})']);  end
 if i == 2,  ylabel(['std(a_{1})']);  end
 if i == 3,  ylabel(['std(a_{2})']);  end
 if i == 4,  ylabel(['std(a_{3})']);  end
 if i == 5,  ylabel(['std(b_{1})']);  end
 if i == 6,  ylabel(['std(b_{2})']);  end
 if i == 7,  ylabel(['std(c_{1})']);  end
 if i == 8,  ylabel(['std(c_{2})']);  end
 if i == 9,  ylabel(['std(c_{3})']);  end
 if i == 10, ylabel(['std(c_{4})']);  end
 if i == 11  ylabel(['std(c_{5})']);  end
 grid
 hold on
end
%...subplot(6,3,2)
%...title(['STD of Kalman Filter`s Iterations of   F i l t e r e d   Parameters and States   ( Iteration Number : ',int2str(pocet-1),' )'])

i = 14;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_f(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,sig_f(i,1:nt,1),'m.-')
 hold on
 plot(tt,sig_f(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(m_{2})']);  
  grid
 hold on
 
 i = 15;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_f(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,sig_f(i,1:nt,1),'m.-')
 hold on
 plot(tt,sig_f(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{\gamma}_t)']); 
  grid
 hold on
 
i = npar+1;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_f(i,:,j)','b-')
  hold on
 end
 plot(tt,sig_f(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_f(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{y^*}_t)']);
 grid
 hold on
 
 subplot(7,3,2)
 title(['STD of Kalman Filter`s Iterations of   F i l t e r e d   Parameters and States   ( Iteration Number : ',int2str(pocet-1)])
 hold on
    
i = npar+2;
    k = i;
 subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_f(i,1:nt,j)','b-')
  hold on
 end
 plot(tt,sig_f(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_f(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{gap y}_t)']);
 grid
hold on

i = npar+3;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_f(i,1:nt,j)','b-')
  hold on
 end
 plot(tt,sig_f(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_f(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{gap ur}_t)']);
 grid
hold on
 
 i = npar+4;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_f(i,1:nt,j)','b-')
  hold on
 end
 plot(tt,sig_f(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_f(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{{\pi} n}_t)']);
 grid
hold on 

i = npar+5;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_f(i,1:nt,j)','b-')
  hold on
 end
 plot(tt,sig_f(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_f(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{{\gamma}_1}_t)']);
 grid
 hold on
 
 i = npar+6;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_f(i,1:nt,j)','b-')
  hold on
 end
 plot(tt,sig_f(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_f(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{NAIRU})_t']);
 grid
 hold on
 
subplot(7,3,21)
axis('off')
text(0,0.9,'L e g e n d');
text(0,0.55,'"points" ... first iteration')
text(0,0.30,'"stars "  ... last iteration')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
set(0,'DefaultAxesFontSize',7.5)
tt = t;
iplot = iplot+1;
figure(iplot);
set(gcf,'Name','Filtered Unobserved States    y^*_t ,  gap^y_t ,  gap^ur_t   and Observed States   \pi ^n_t'); 
subplot(321)
 plot(tt,YDAT(1,:)','k')
 hold on
 plot(tt,XF(npar+1,1:nt,1),'b.-')
 hold on
 plot(tt,XF(npar+1,1:nt,pocet-1),'rx-')
 hold on
 legend('y_t       data',...
    ['y^*_t       I.K.F`s iter.:   1'],...
    ['y^*_t       I.K.F`s iter.: ',int2str(pocet-1)]),
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(YDAT(1,:)'),min(XF(npar+1,1:nt,1)),min(XF(npar+1,1:nt,pocet-1)),...
            min(YDAT(1,:)')])-0.006,...
       max([max(YDAT(1,:)'),max(XF(npar+1,1:nt,1)),max(XF(npar+1,1:nt,pocet-1)),...
            max(YDAT(1,:)')])+0.006]);
title(['y_t  &  y^*_t     ( t -  v a r y i n g  model )']);

subplot(322)
 plot(tt,XF(npar+2,1:nt,1)','b.-')
 hold on
 plot(tt,XF(npar+2,1:nt,pocet-1)','rx-')
 hold on
 plot(tt,zeros(size(tt)),'k:')
 hold on
 legend(['gap^y_{t}  I.K.F.`s iter.:   1'],...
        ['gap^y_{t}  I.K.F.`s iter.: ',int2str(pocet-1)])
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(XF(npar+2,1:nt,pocet-1)),min(XF(npar+2,1:nt,1))])-0.0016,...
       max([max(XF(npar+2,1:nt,pocet-1)),max(XF(npar+2,1:nt,1))])+0.0016]);
 title(['gap^y_t     ( t -  v a r y i n g  model )']);
 %...ylabel('per cent');
 
 subplot(323)
 plot(tt,YDAT(3,:)','k')
 hold on
 plot(tt,XF(npar+6,1:nt,1)','b.-')
 hold on
 plot(tt,XF(npar+6,1:nt,pocet-1)','rx-')
 hold on
 legend( 'ur_t           data',...
        ['NAIRU_{t}  I.K.F.`s iter.:   1'],...
        ['NAIRU_{t}  I.K.F.`s iter.: ',int2str(pocet-1)])
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(XF(npar+6,1:nt,pocet-1)),min(XF(npar+6,1:nt,1)),min(YDAT(3,:))])-0.006,...
       max([max(XF(npar+6,1:nt,pocet-1)),max(XF(npar+6,1:nt,1)),max(YDAT(3,:))])+0.006]);
 title(['NAIRU_t     ( t -  v a r y i n g  model )']);
 %...ylabel('per cent');

 
 subplot(324)
 plot(tt,XF(npar+3,1:nt,1)','b.-')
 hold on
 plot(tt,XF(npar+3,1:nt,pocet-1)','rx-')
 hold on
 plot(tt,zeros(size(tt)),'k:')
 hold on
 legend(['gap^{ur}_{t}  I.K.F.`s iter.:   1'],...
        ['gap^{ur}_{t}  I.K.F.`s iter.: ',int2str(pocet-1)])
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(XF(npar+3,1:nt,pocet-1)),min(XF(npar+3,1:nt,1))])-0.0018,...
       max([max(XF(npar+3,1:nt,pocet-1)),max(XF(npar+3,1:nt,1))])+0.0018]);
 title(['gap^{ur}_t     ( t -  v a r y i n g  model )']);
 %...ylabel('per cent');

 
 subplot(325)
 plot(tt,DY(:,2),'k-')
 hold on
 plot(tt,[Epin_new_smo(1,1:nt-1,2)'; 0],'c*')
 hold on
 plot(tt,[Epin_new_smo(1,1:nt-1,pocet-1)'; 0],'kp-')
 hold on
 plot(tt,XF(npar+4,1:nt,1),'m.-')
 hold on
 plot(tt,XF(npar+4,1:nt,pocet-1),'rx-')
 hold on
 plot(tt,zeros(size(tt)),'k:')
 hold on
 legend('{\pi}^n_t       data',...
        'E_t{\pi}^n_{t+1}  I.K.F.`s iter.:   1',...
       ['E_t{\pi}^n_{t+1}  I.K.F.`s iter.: ',int2str(pocet-1)],...
        '{\pi}^n_t       I.K.F.`s iter.:    1',...
       ['{\pi}^n_t       I.K.F.`s iter.:  ',int2str(pocet-1)]),
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(DY(:,2)),min([Epin_new_smo(1,1:nt-1,2)'; 0]),min(XF(npar+4,1:nt,1)),...
            min(DY(:,2)),min([Epin_new_smo(1,1:nt-1,2)'; 0]),min(XF(npar+4,1:nt,1))])-0.004,...
       max([max(DY(:,2)),max([Epin_new_smo(1,1:nt-1,2)'; 0]),max(XF(npar+4,1:nt,1)),...
            max(DY(:,2)),max([Epin_new_smo(1,1:nt-1,2)'; 0]),max(XF(npar+4,1:nt,1))])+0.004]);
title(['{\pi}^n_t ,  E_t{\pi}^n_{t+1}  ( t -  v a r y i n g  model )']);

 subplot(326)
 plot(tt,XF(15,1:nt,1)','b.-')
 hold on
 plot(tt,XF(15,1:nt,pocet-1)','rx-')
 hold on
 plot(tt,zeros(size(tt)),'k:')
 hold on
 legend(['\gamma_{t}  I.K.F.`s iter.:   1'],...
        ['\gamma_{t}  I.K.F.`s iter.: ',int2str(pocet-1)])
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(XF(15,1:nt,pocet-1)),min(XF(15,1:nt,1))])-0.0018,...
       max([max(XF(15,1:nt,pocet-1)),max(XF(15,1:nt,1))])+0.0018]);
 title(['\gamma_t     ( t -  v a r y i n g  model )']);





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
% S m o o t h e d   P a r a m e t e r s   a n d   S t a t e s
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

set(0,'DefaultAxesFontSize',8.5)
iplot = iplot+1;
figure(iplot);
clf
set(gcf,'Name','Iterations of Smoothed Parameters and States')
 
for i = 1:11;
  subplot(7,3,i)
 for j = 2:3:pocet-2,
  plot(tt,XS(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XS(i,1:nt,1),'m.-')
 hold on
 plot(tt,XS(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 if i == 1,  ylabel(['m_{1}']);  end
 if i == 2,  ylabel(['a_{1}']);  end
 if i == 3,  ylabel(['a_{2}']);  end
 if i == 4,  ylabel(['a_{3}']);  end
 if i == 5,  ylabel(['b_{1}']);  end
 if i == 6,  ylabel(['b_{2}']);  end
 if i == 7,  ylabel(['c_{1}']);  end
 if i == 8,  ylabel(['c_{2}']);  end
 if i == 9,  ylabel(['c_{3}']);  end
 if i == 10, ylabel(['c_{4}']);  end
 if i == 11  ylabel(['c_{5}']);  end
 
 grid
 hold on
end

i = 14;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XS(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XS(i,1:nt,1),'m.-')
 hold on
 plot(tt,XS(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['m_{2}']);
  grid
 hold on
 
 i = 15;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XS(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XS(i,1:nt,1),'m.-')
 hold on
 plot(tt,XS(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['\gamma']);
  grid
 hold on

i = npar+1;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XS(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XS(i,1:nt,1),'m.-')
 hold on
 plot(tt,XS(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['y^*_t']);
 grid
 hold on

subplot(7,3,2)
title(['Kalman Filter`s Iterations of   S m o o t h e d   Parameters and States   ( Iteration Number : ',int2str(pocet-1),' )'])

i = npar+2;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XS(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XS(i,1:nt,1),'m.-')
 hold on
 plot(tt,XS(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['gap^y_t']);
 grid
hold on

i = npar+3;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XS(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XS(i,1:nt,1),'m.-')
 hold on
 plot(tt,XS(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['gap^{ur}_t']);
 grid
hold on
 
 i = npar+4;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XS(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XS(i,1:nt,1),'m.-')
 hold on
 plot(tt,XS(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['{\pi}^n_t']);
 grid
 hold on 
 
 i = npar+5;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XS(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XS(i,1:nt,1),'m.-')
 hold on
 plot(tt,XS(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['\gamma_1']);
 grid
 hold on
 
 i = npar+6;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,XS(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,XS(i,1:nt,1),'m.-')
 hold on
 plot(tt,XS(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['NAIRU_t']);
 grid
 hold on 
   
subplot(7,3,21)
axis('off')
text(0,0.9,'L e g e n d');
text(0,0.55,'"points" ... first iteration')
text(0,0.30,'"stars "  ... last iteration')

iplot = iplot+1;
figure(iplot);
clf
set(gcf,'Name','STD of Smoothed Parameters and States')
 
for i = 1:11;
  subplot(7,3,i)
 for j = 2:3:pocet-2,
  plot(tt,sig_s(i,:,j)','b-')
  hold on
 end
 plot(tt,sig_s(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_s(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 if i == 1,  ylabel(['std(m_{1})']);  end
 if i == 2,  ylabel(['std(a_{1})']);  end
 if i == 3,  ylabel(['std(a_{2})']);  end
 if i == 4,  ylabel(['std(a_{3})']);  end
 if i == 5,  ylabel(['std(b_{1})']);  end
 if i == 6,  ylabel(['std(b_{2})']);  end
 if i == 7,  ylabel(['std(c_{1})']);  end
 if i == 8,  ylabel(['std(c_{2})']);  end
 if i == 9,  ylabel(['std(c_{3})']);  end
 if i == 10, ylabel(['std(c_{4})']);  end
 if i == 11  ylabel(['std(c_{5})']);  end
 grid
 hold on
end
%...subplot(6,3,2)
%...title(['STD of Kalman Filter`s Iterations of   F i l t e r e d   Parameters and States   ( Iteration Number : ',int2str(pocet-1),' )'])

i = 14;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_s(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,sig_s(i,1:nt,1),'m.-')
 hold on
 plot(tt,sig_s(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(m_{2})']);
  grid
 hold on
 
 i = 15;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_s(i,1:nt,j),'b-')
  hold on
 end
 plot(tt,sig_s(i,1:nt,1),'m.-')
 hold on
 plot(tt,sig_s(i,1:nt,pocet-1),'r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{\gamma}_t)']);
  grid
 hold on
 
i = npar+1;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_s(i,:,j)','b-')
  hold on
 end
 plot(tt,sig_s(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_s(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{y^*}_t)']);
 grid
 hold on
 
 subplot(7,3,2)
 title(['STD of Kalman Filter`s Iterations of   S m o o t h e d   Parameters and States   ( Iteration Number : ',int2str(pocet-1)])
 hold on
    
i = npar+2;
    k = i;
 subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_s(i,1:nt,j)','b-')
  hold on
 end
 plot(tt,sig_s(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_s(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{gap y}_t)']);
 grid
hold on

i = npar+3;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_s(i,1:nt,j)','b-')
  hold on
 end
 plot(tt,sig_s(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_s(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{gap ur}_t)']);
 grid
hold on
 
 i = npar+4;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_s(i,1:nt,j)','b-')
  hold on
 end
 plot(tt,sig_s(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_s(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{{\pi} n}_t)']);
 grid
hold on 

i = npar+5;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_s(i,1:nt,j)','b-')
  hold on
 end
 plot(tt,sig_s(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_s(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{{\gamma}_1}_t)']);
 grid
 hold on
 
 i = npar+6;
    k = i;
  subplot(7,3,i-2)
 for j = 2:3:pocet-2,
  plot(tt,sig_s(i,1:nt,j)','b-')
  hold on
 end
 plot(tt,sig_s(i,1:nt,1)','m.-')
 hold on
 plot(tt,sig_s(i,1:nt,pocet-1)','r*-')
 hold on
 axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
 ylabel(['std(w^{NAIRU})_t']);
 grid
 hold on
 
subplot(7,3,21)
axis('off')
text(0,0.9,'L e g e n d');
text(0,0.55,'"points" ... first iteration')
text(0,0.30,'"stars "  ... last iteration')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

set(0,'DefaultAxesFontSize',7.5)
tt = t;
iplot = iplot+1;
figure(iplot);
set(gcf,'Name','Smoothed Unobserved States    y^*_t ,  gap^y_t ,  gap^ur_t, NAIRU_t   and Observed States   \pi ^n_t'); 
subplot(321)
 plot(tt,YDAT(1,:)','k')
 hold on
 plot(tt,XS(npar+1,1:nt,1),'b.-')
 hold on
 plot(tt,XS(npar+1,1:nt,pocet-1),'rx-')
 hold on
 legend('y_t      data',...
    ['y^*_t      I.K.F.`s iter.:   1'],...
    ['y^*_t      I.K.F.`s iter.: ',int2str(pocet-1)]),
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(YDAT(1,:)'),min(XS(npar+1,1:nt,1)),min(XS(npar+1,1:nt,pocet-1)),...
            min(YDAT(1,:)')])-0.006,...
       max([max(YDAT(1,:)'),max(XS(npar+1,1:nt,1)),max(XS(npar+1,1:nt,pocet-1)),...
            max(YDAT(1,:)')])+0.006]);
title(['y_t  &  y^*_t     ( t -  i n v a r i a n t  model )']);

subplot(322)
 plot(tt,XS(npar+2,1:nt,1)','b.-')
 hold on
 plot(tt,XS(npar+2,1:nt,pocet-1)','rx-')
 hold on
 plot(tt,zeros(size(tt)),'k:')
 hold on
 legend(['gap^y_{t}  I.K.F.`s iter.:   1'],...
        ['gap^y_{t}  I.K.F.`s iter.: ',int2str(pocet-1)])
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(XS(npar+2,1:nt,pocet-1)),min(XS(npar+2,1:nt,1))])-0.0016,...
       max([max(XS(npar+2,1:nt,pocet-1)),max(XS(npar+2,1:nt,1))])+0.0016]);
 title(['gap^y_t     ( t -  i n v a r i a n t  model )']);
 %...ylabel('per cent');
 
 subplot(323)
 plot(tt,YDAT(3,:)','k')
 hold on
 plot(tt,XS(npar+6,1:nt,1)','b.-')
 hold on
 plot(tt,XS(npar+6,1:nt,pocet-1)','rx-')
 hold on
 legend( 'ur_t         data',...
        ['NAIRU_{t}  I.K.F.`s iter.:   1'],...
        ['NAIRU_{t}  I.K.F.`s iter.: ',int2str(pocet-1)])
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(XS(npar+6,1:nt,pocet-1)),min(XS(npar+6,1:nt,1)),min(YDAT(3,:))])-0.006,...
       max([max(XS(npar+6,1:nt,pocet-1)),max(XS(npar+6,1:nt,1)),max(YDAT(3,:))])+0.006]);
 title(['NAIRU_t     ( t -  i n v a r i a n t  model )']);
 %...ylabel('per cent');
 
 subplot(324)
 plot(tt,XS(npar+3,1:nt,1)','b.-')
 hold on
 plot(tt,XS(npar+3,1:nt,pocet-1)','rx-')
 hold on
 plot(tt,zeros(size(tt)),'k:')
 hold on
 legend(['gap^{ur}_{t}  I.K.F.`s iter.:   1'],...
        ['gap^{ur}_{t}  I.K.F.`s iter.: ',int2str(pocet-1)])
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(XS(npar+3,1:nt,pocet-1)),min(XS(npar+3,1:nt,1))])-0.0018,...
       max([max(XS(npar+3,1:nt,pocet-1)),max(XS(npar+3,1:nt,1))])+0.0018]);
 title(['gap^{ur}_t     ( t -  i n v a r i a n t  model )']);
 %...ylabel('per cent');
 
 subplot(325)
 plot(tt,DY(:,2),'k-')
 hold on
 plot(tt,[Epin_new_smo(1,1:nt-1,2)'; 0],'c*')
 hold on
 plot(tt,[Epin_new_smo(1,1:nt-1,pocet-1)'; 0],'kp-')
 hold on
 plot(tt,XS(npar+4,1:nt,1),'m.-')
 hold on
 plot(tt,XS(npar+4,1:nt,pocet-1),'rx-')
 hold on
 plot(tt,zeros(size(tt)),'k:')
 hold on
 legend('{\pi}^n_t       data',...
        'E_t{\pi}^n_{t+1}  I.K.F.`s iter.:   1',...
       ['E_t{\pi}^n_{t+1}  I.K.F.`s iter.: ',int2str(pocet-1)],...
        '{\pi}^n_t       I.K.F.`s iter.:   1',...
       ['{\pi}^n_t       I.K.F.`s iter.: ',int2str(pocet-1)]),
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(DY(:,2)),min([Epin_new_smo(1,1:nt-1,2)'; 0]),min(XS(npar+4,1:nt,1)),...
            min(DY(:,2)),min([Epin_new_smo(1,1:nt-1,2)'; 0]),min(XS(npar+4,1:nt,1))])-0.004,...
       max([max(DY(:,2)),max([Epin_new_smo(1,1:nt-1,2)'; 0]),max(XS(npar+4,1:nt,1)),...
            max(DY(:,2)),max([Epin_new_smo(1,1:nt-1,2)'; 0]),max(XS(npar+4,1:nt,1))])+0.004]);
title(['{\pi}^n_t ,  E_t{\pi}^n_{t+1}  ( t -  i n v a r i a n t  model )']);

 subplot(326)
 plot(tt,XS(15,1:nt,1)','b.-')
 hold on
 plot(tt,XS(15,1:nt,pocet-1)','rx-')
 hold on
 plot(tt,zeros(size(tt)),'k:')
 hold on
 legend(['\gamma_{t}  I.K.F.`s iter.:   1'],...
        ['\gamma_{t}  I.K.F.`s iter.: ',int2str(pocet-1)])
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(XS(15,1:nt,pocet-1)),min(XS(15,1:nt,1))])-0.0018,...
       max([max(XS(15,1:nt,pocet-1)),max(XS(15,1:nt,1))])+0.0018]);
 title(['\gamma_t     ( t -  v a r y i n g  model )']);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

iplot = iplot+1;
figure(iplot);
clf
set(gcf,'Name','Quarterly  F i l t e r e d  Outputs Y, Y^*, ur, NAIRU, pi, pi^n ')
subplot(3,1,1);
plot(tt,exp(YDAT(1,:)'),'r+-')
 hold on
 plot(tt,exp(U_d(9,:)'),'kp-')
 hold on
 plot(tt,exp(YF(1:nt,6,pocet-1)),'bx-');
 hold on
 plot(tt,exp(YF(1:nt,1,pocet-1)),'g.-');
 hold on
 legend('Y     data',...
        'Y^{eq}  data (CNB)',... 
       ['Y     filtration  (iter.: ',int2str(pocet-1),')'],...
       ['Y^*    filtration  (iter.: ',int2str(pocet-1),')']);
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(exp(YDAT(1,:)')),min(exp(YF(1:nt,6,pocet-1))),min(exp(YF(1:nt,1,pocet-1)))])-3,...
       max([max(exp(YDAT(1,:)')),max(exp(YF(1:nt,6,pocet-1))),max(exp(U_d(9,:)'))])+3]);
 title(['Quarterly Real Product  &  Potential Product   ( t - v a r y i n g  model )']);
 ylabel('[ billion of 1995 CZK ]');

subplot(3,1,2);
 plot(tt(2:nt),400*YDAT(2,2:nt)','r+-')
 hold on
 plot(tt(2:nt),400*(YF(2:nt,4,pocet-1)),'gx-');
 hold on
 plot(tt(2:nt),400*YDAT(4,2:nt)','b.-')
 hold on
 plot(tt(2:nt),400*(YF(2:nt,8,pocet-1)),'mo-');
 hold on
 plot(tt(2:nt),zeros(nt-1,1),'k:');
 hold on
 legend('{\pi}^n   data',...
       ['{\pi}^n   filtration  (iter.: ',int2str(pocet-1),')'],...
        '{\pi}    data',...
       ['{\pi}    filtration  (iter.: ',int2str(pocet-1),')']);
 axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,...
       min([min(400*(YDAT(2,2:nt)')),min(400*(YF(2:nt,4,pocet-1))),...
            min(400*(YDAT(4,2:nt)')),min(400*(YF(2:nt,8,pocet-1)))])-1,...
       max([max(400*(YDAT(2,2:nt)')),max(400*(YF(2:nt,4,pocet-1))),...
            max(400*(YDAT(4,2:nt)')),max(100*(YF(2:nt,8,pocet-1)))])+1]);
 title('Quarterly Net Inflation & Quarterly CP Inflation   (t - v a r y i n g  model)');%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('[year per cent ]');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Odstraneni "ulice" !!!
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ur_f        =  100*YDAT(3,1:nt)';
NAIRU_f     =  100*YF(1:nt,5,pocet-1);
gap_ur_f     =  100*YF(1:nt,3,pocet-1);

kor_NAIRU_f = 0; %...= mean(ur_f)-mean(NAIRU_f); %<---<<< Korekce NAIRU
NAIRU_f     = NAIRU_f   + kor_NAIRU_f;
gap_ur_f    = gap_ur_f  -  kor_NAIRU_f;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


subplot(3,1,3)
 plot(tt,ur_f,'r+-')
 hold on
 plot(tt(2:nt),(100*YF(2:nt,7,pocet-1)),'bx-');
 hold on
 plot(tt,NAIRU_f,'m.-')
 hold on
 legend( 'ur         data',...
        ['ur         filtration (iter.: ',int2str(pocet-1),')'],...
        ['NAIRU  filtration (iter.: ',int2str(pocet-1),')'])
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(NAIRU_f),min(ur_f)])-0.6,...
       max([max(NAIRU_f),max(ur_f)])+0.6]);
 title('Quarterly Uneymployment Rate  &  Non-Accelerating Inflation  Uneymployment Rate   (t - v a r y i n g  model)');
ylabel('[ per cent ]');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iplot = iplot+1;
figure(iplot);
clf
set(gcf,'Name','Quarterly  S m o o t h e d  Outputs Y, Y^*, ur, NAIRU, pi, pi^n ')
subplot(3,1,1);
plot(tt,exp(YDAT(1,:)'),'r+-')
 hold on
 plot(tt,exp(U_d(9,:)'),'kp-')
 hold on
 plot(tt,exp(YS(1:nt,6,pocet-1)),'bx-');
 hold on
 plot(tt,exp(YS(1:nt,1,pocet-1)),'g.-');
 hold on
 legend('Y    data',...
        'Y^{eq}  data',...
       ['Y    smoothing  (iter.: ',int2str(pocet-1),')'],...
       ['Y^*   smoothing  (iter.: ',int2str(pocet-1),')']);
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(exp(YDAT(1,:)')),min(exp(YS(1:nt,6,pocet-1))),min(exp(YS(1:nt,1,pocet-1)))])-3,...
       max([max(exp(YDAT(1,:)')),max(exp(YS(1:nt,6,pocet-1))),max(exp(U_d(9,:)'))])+3]);
 title('Quarterly Real Product & Potential Product   (t - i n v a r i a n t  model)');%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('[ billion of 1995 CZK ]');

subplot(3,1,2);
 plot(tt(2:nt),400*YDAT(2,2:nt)','r+-')
 hold on
 plot(tt(2:nt),400*(YS(2:nt,4,pocet-1)),'gx-');
 hold on
 plot(tt(2:nt),400*YDAT(4,2:nt)','b.-')
 hold on
 plot(tt(2:nt),400*(YS(2:nt,8,pocet-1)),'mo-');
 hold on
 plot(tt(2:nt),zeros(nt-1,1),'k:');
 hold on
 legend('{\pi}^n   data',...
       ['{\pi}^n   smoothing  (iter.: ',int2str(pocet-1),')'],...
        '{\pi}    data',...
       ['{\pi}    smoothing  (iter.: ',int2str(pocet-1),')']);
 axis([min(tt(2:nt))-0.25 max(tt(2:nt))+0.25,...
       min([min(400*(YDAT(2,2:nt)')),min(400*(YS(2:nt,4,pocet-1))),...
            min(400*(YDAT(4,2:nt)')),min(400*(YS(2:nt,8,pocet-1)))])-1,...
       max([max(400*(YDAT(2,2:nt)')),max(400*(YS(2:nt,4,pocet-1))),...
            max(400*(YDAT(4,2:nt)')),max(400*(YS(2:nt,8,pocet-1)))])+1]);
 title('Quarterly Net Inflation & Quarterly CP Inflation   (t - i n v a r i a n t  model)');%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('[year per cent ]');
 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Odstraneni "ulice" !!!
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ur_s        =  100*YDAT(3,1:nt)';
NAIRU_s     =  100*YS(1:nt,5,pocet-1);

kor_NAIRU_s = 0; %...= mean(ur_s)-mean(NAIRU_s); %<---<<< Korekce NAIRU
NAIRU_s     = NAIRU_s   + kor_NAIRU_s;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 subplot(3,1,3)
 plot(tt,ur_s,'r+-')
 hold on
 plot(tt(2:nt),(100*YS(2:nt,7,pocet-1)),'bx-');
 hold on
 plot(tt,NAIRU_s,'m.-')
 hold on
 legend( 'ur         data',...
        ['ur         smoothing  (iter.: ',int2str(pocet-1),')'],...
        ['NAIRU  smoothing  (iter.: ',int2str(pocet-1),')'])
 axis([min(tt)-0.25 max(tt)+0.25,...
       min([min(NAIRU_s),min(ur_s)])-0.6,...
       max([max(NAIRU_s),max(ur_s)])+0.6]);
  title('Quarterly Uneymployment Rate  &  Non-Accelerating Inflation  Uneymployment Rate   (t - i n v a r i a n t  model)');
ylabel('[ per cent ]');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Year - on - Year
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

t_yy = tt(5:nt);
Y    =  exp(YDAT(1,:)');
Y_f  =  exp(YF(1:nt,6,pocet-1));
ygap_f = 100*(exp(YF(2:nt,2,pocet-1))-1);
ygap_f = [NaN;ygap_f];

rd      = U_d(1,:)'*100;
qd      = U_d(2,:)';
pim     = U_d(3,:)';
pio     = U_d(5,:)';
pir     = U_d(8,:)';
urlong = U_d(6,:)'*100;
gammass = (exp(U_d(7,:)')-1);

dy_yy  =[];
dy_yy_f=[];

for i=5:nt,
dy_yy   = [dy_yy;  ((Y(i)  / Y(i-4))-1)*100];   
dy_yy_f = [dy_yy_f;((Y_f(i)/ Y_f(i-4))-1)*100];
end

Y_pot_f = exp(YF(1:nt,1,pocet-1));
dyp_yy_f=[];
for i=5:nt,
dyp_yy_f = [dyp_yy_f;((Y_pot_f(i)/Y_pot_f(i-4))-1)*100];
end


pin    = YDAT(2,:)';
pin_f  = (YF(1:nt,4,pocet-1));

pin_yy  = [];
pin_yy_f= [];

for i = 5:nt
pin_yy   = [pin_yy;  (((pin(i)+1)  *(pin(i-1)+1)  *(pin(i-2)+1)  *(pin(i-3)+1))-1)*100];   
pin_yy_f = [pin_yy_f;(((pin_f(i)+1)*(pin_f(i-1)+1)*(pin_f(i-2)+1)*(pin_f(i-3)+1))-1)*100];
end

pic   = YDAT(4,:)';
pic_f = (YF(1:nt,8,pocet-1));
pic_yy  =[];
pic_yy_f=[];
for i = 5:1:nt
pic_yy   = [pic_yy;  (((pic(i)+1)  *(pic(i-1)+1)  *(pic(i-2)+1)  *(pic(i-3)+1))-1)*100];
pic_yy_f = [pic_yy_f;(((pic_f(i)+1)*(pic_f(i-1)+1)*(pic_f(i-2)+1)*(pic_f(i-3)+1))-1)*100];
end

ur   = 100*YDAT(3,:)';
ur_f = 100*YF(1:nt,7,pocet-1);

ur_yy        = [];
ur_yy_f      = [];
rd_yy        = [];
qd_yy        = [];
urlong_yy   = [];
ygap_f_yy    = [];

for i = 5:nt,
ur_yy            = [ur_yy;  (ur(i)  +ur(i-1)  +ur(i-2)  +ur(i-3))/4];   
ur_yy_f          = [ur_yy_f;(ur_f(i)+ur_f(i-1)+ur_f(i-2)+ur_f(i-3))/4];
rd_yy            = [rd_yy;  (rd(i)  +rd(i-1)  +rd(i-2)  +rd(i-3))/4];   
qd_yy            = [qd_yy;  (qd(i)  +qd(i-1)  +qd(i-2)  +qd(i-3))/4];   
ygap_f_yy        = [ygap_f_yy;  (ygap_f(i)  +ygap_f(i-1)  +ygap_f(i-2)  +ygap_f(i-3))/4];   
urlong_yy       = [urlong_yy;  (urlong(i)  +urlong(i-1)  +urlong(i-2)  +urlong(i-3))/4];   
end

NAIRU_yy_f=[];
for i= 5:nt,
NAIRU_yy_f = [NAIRU_yy_f;(NAIRU_f(i)+NAIRU_f(i-1)+NAIRU_f(i-2)+NAIRU_f(i-3))/4];
end

pim_yy       =[];
pio_yy       =[];
pir_yy       =[];
gammass_yy   = [];
for i = 5:1:nt
pim_yy   = [pim_yy;  (((pim(i)+1)  *(pim(i-1)+1)  *(pim(i-2)+1)  *(pim(i-3)+1))-1)*100];
pio_yy   = [pio_yy;  (((pio(i)+1)  *(pio(i-1)+1)  *(pio(i-2)+1)  *(pio(i-3)+1))-1)*100];
pir_yy   = [pir_yy;  (((pir(i)+1)  *(pir(i-1)+1)  *(pir(i-2)+1)  *(pir(i-3)+1))-1)*100];
gammass_yy   = [gammass_yy;  (((gammass(i)+1)  *(gammass(i-1)+1)  *(gammass(i-2)+1)  *(gammass(i-3)+1))^(1/4)-1)*100];
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Year on Year inputs
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iplot = iplot+1;
figure(iplot);
clf
set(gcf,'Name','Year on Year  Inputs r^d, q^d, pi^o, pi^m, pi^r ')
subplot(3,3,1);
 plot(t_yy,rd_yy,'b.-');
 hold on
 plot(t_yy,zeros(size(t_yy)),'k:');
 hold on
 %legend('r^d');
 axis([min(t_yy)-0.75 max(t_yy)+ 0.75,...
       min(rd_yy)-0.5,...
       max(rd_yy)+0.5]);
 ylabel(['r^d [ per cent ]']);
 title('Moving Average Year Deviation Domestic IR');

subplot(3,3,2);
 plot(t_yy,(exp(qd_yy)-1)*100,'b.-');
 hold on
 plot(t_yy,zeros(size(t_yy)),'k:');
 hold on
 axis([min(t_yy)-0.75 max(t_yy)+ 0.75,...
       min((exp(qd_yy)-1)*100)-0.5,...
       max((exp(qd_yy)-1)*100)+0.5]);
 ylabel(['q^d']);
 title('Moving Average Year Deviation log REERI');

subplot(3,3,4);
 plot(t_yy,pim_yy,'r.-');
 hold on
 plot(t_yy,zeros(size(t_yy)),'k:');
 hold on
 axis([min(t_yy)-0.75 max(t_yy)+ 0.75,...
       min(pim_yy)-1,...
       max(pim_yy)+1]);
 ylabel(['\pi^m [ per cent ]']);
 title('Y-o-Y Import Price Inflation');

 subplot(3,3,5);
 plot(t_yy,pio_yy,'r.-');
 hold on
 plot(t_yy,zeros(size(t_yy)),'k:');
 hold on
 axis([min(t_yy)-0.75 max(t_yy)+ 0.75,...
       min(pio_yy)-15,...
       max(pio_yy)+10]);
 ylabel(['\pi^o [ per cent ]']);
 title('Y-o-Y Oil Price Inflation');

subplot(3,3,7)
plot(t_yy,urlong_yy,'b.-')
hold on
title('Moving Average Year Long Time UR')
ylabel('ur^{short}_t [per cent]');
axis([min(t_yy)-0.25, max(t_yy)+0.25, min(urlong_yy)-0.5, max(urlong_yy)+0.5])

subplot(3,3,8)
plot(t_yy,gammass_yy,'g.-')
hold on
plot(t_yy,mean(gammass_yy)*ones(size(t_yy)),'m:');
hold on
title('Moving Average Year Steady State Growth Y^*')
ylabel('{\gamma}^{ss} [per cent]');
axis([min(t_yy)-0.25, max(t_yy)+0.25, min(gammass_yy)-0.05, max(gammass_yy)+0.05])

 subplot(3,3,6);
 plot(t_yy,pir_yy,'r.-');
 hold on
 plot(t_yy,zeros(size(t_yy)),'k:');
 hold on
 axis([min(t_yy)-0.75 max(t_yy)+ 0.75,...
       min(pir_yy)-8,...
       max(pir_yy)+3]);
 ylabel(['\pi^r [ per cent ]']);
 title('Y-o-Y Regulated Price Inflation');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iplot = iplot+1;
figure(iplot);
clf
set(gcf,'Name','Year-to-Year  F i l t e r e d  Outputs dy4, pi4, pi^n4, ur4, NAIRU4')
subplot(3,2,1);
 plot(t_yy,dy_yy,'r+-');
 hold on
 plot(t_yy,dy_yy_f,'bx-');
 hold on
 plot(t_yy,dyp_yy_f,'kh-');
 hold on
 plot(t_yy,zeros(size(t_yy)),'k:');
 hold on
 legend(['{\Delta}y4   data'],...
        ['{\Delta}y4   filtration  (iter.: ',int2str(pocet-1),')'],... 
        ['{\Delta}y^*4  filtration  (iter.: ',int2str(pocet-1),')']);
 axis([min(t_yy)-0.25 max(t_yy)+ 0.25,...
       min([min(dy_yy),min(dyp_yy_f)])-0.3,...
       max([max(dy_yy),max(dyp_yy_f)])+0.3]);
 ylabel(['{\Delta}y4_t ,  {\Delta}y^*4_t  [ percentage rate ]']);
 title('Year-on-Year Real Product Growth Rate  &  Potential Product Growth Rate');
 
 subplot(3,2,2);
  plot(t_yy,ygap_f_yy,'bh-');
 hold on
  plot(t_yy,zeros(size(t_yy)),'k:');
 hold on
 legend(['gap^y4   filtration  (iter.: ',int2str(pocet-1),')']); 
  axis([min(t_yy)-0.25 max(t_yy)+ 0.25,...
       min([min(ygap_f_yy)])-0.2,...
       max([max(ygap_f_yy)])+0.2]);
 ylabel(['gap^y4_t  [per cent]']);
 title('Moving Average Year-on-Year Production Gap');
 
 subplot(3,2,3)
 plot(t_yy,ur_yy,'r+-')
 hold on
 plot(t_yy,ur_yy_f,'bx-')
 hold on
 plot(t_yy,NAIRU_yy_f,'kh-')
 hold on
  legend(['ur4         data'],...
       ['ur4         filtration  (iter.:  ',int2str(pocet-1),')'],...
       ['NAIRU4  filtration  (iter.: ',int2str(pocet-1),')']);
 axis([min(t_yy)-0.25 max(t_yy)+0.25,...
       min([min(ur_yy_f),min(NAIRU_yy_f)])-0.25,...
       max([max(ur_yy_f),max(NAIRU_yy_f)])+0.25]);
 title('Moving Average Year-on-Year UR  &  Non-Accelerating Inflation UR');
 ylabel('ur4_t ,  NAIRU4_t   [ per cent ]');
 
 subplot(3,2,4)
 plot(t_yy,ur_yy_f-NAIRU_yy_f,'kh-')
 hold on
 plot(t_yy,zeros(size(t_yy)),'k:');
 hold on
 legend(['gap^{ur}4  filtration  (iter.: ',int2str(pocet-1),')']);
 axis([min(t_yy)-0.25 max(t_yy)+0.25,...
       min([min(ur_yy_f-NAIRU_yy_f)])-0.15,...
       max([max(ur_yy_f-NAIRU_yy_f)])+0.15]);
 title('Moving Average Year-on-Year Unemployment Gap');
 ylabel('gap^{ur}4_t   [ per cent ]');

subplot(3,2,6);
 plot(t_yy,pin_yy,'c+-')
 hold on
 plot(t_yy,pin_yy_f,'mx-')
 hold on
 plot(t_yy,pic_yy,'ro-')
 hold on
 plot(t_yy,pic_yy_f,'b.-')
 hold on
 plot(t_yy,zeros(size(t_yy)),'k:')
 hold on
 legend(['{\pi}^n4   data'],...
        ['{\pi}^n4   filtration  (iter.: ',int2str(pocet-1),')'],...
        ['{\pi}4    data'],...
        ['{\pi}4    filtration  (iter.: ',int2str(pocet-1),')']);
 axis([min(t_yy)-0.25 max(t_yy)+0.25,...
       min([min(pin_yy_f),min(pic_yy_f)])-0.6,...
       max([max(pin_yy_f),max(pic_yy_f)])+0.6]);
 title('Year-on-Year Net Inflation Rate  &  CP Inflation Rate'); %...,   t - v a r y i n g  model');%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('{\pi}^n4_t,  {\pi}4_t  [ percentage rate ]');
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Y_s  =  exp(YS(1:nt,6,pocet-1));
ygap_s = 100*(exp(YS(2:nt,2,pocet-1))-1);
ygap_s = [NaN;ygap_s];
dy_yy_s=[];

for i=5:nt,
dy_yy_s = [dy_yy_s;((Y_s(i)/ Y_s(i-4))-1)*100];
end

Y_pot_s = exp(YS(1:nt,1,pocet-1));
dyp_yy_s=[];
for i=5:nt,
dyp_yy_s = [dyp_yy_s;((Y_pot_s(i)/Y_pot_s(i-4))-1)*100];
end

pin_s  = (YS(1:nt,4,pocet-1));

pin_yy_s= [];

for i = 5:nt
pin_yy_s = [pin_yy_s;(((pin_s(i)+1)*(pin_s(i-1)+1)*(pin_s(i-2)+1)*(pin_s(i-3)+1))-1)*100];
end

pic_s = (YS(1:nt,8,pocet-1));

pic_yy_s=[];

for i = 5:1:nt
pic_yy_s = [pic_yy_s;(((pic_s(i)+1)*(pic_s(i-1)+1)*(pic_s(i-2)+1)*(pic_s(i-3)+1))-1)*100];
end

ur_s = 100*YS(1:nt,7,pocet-1);

ur_yy_s   = [];
ygap_s_yy = [];

for i = 5:nt,
ur_yy_s       = [ur_yy_s;(ur_s(i)+ur_s(i-1)+ur_s(i-2)+ur_s(i-3))/4];
ygap_s_yy     = [ygap_s_yy;  (ygap_s(i)  +ygap_s(i-1)  +ygap_s(i-2)  +ygap_s(i-3))/4];   
end

NAIRU_yy_s=[];
for i= 5:nt,
NAIRU_yy_s = [NAIRU_yy_s;(NAIRU_s(i)+NAIRU_s(i-1)+NAIRU_s(i-2)+NAIRU_s(i-3))/4];
end

iplot = iplot+1;
figure(iplot);
clf
set(gcf,'Name','Year-to-Year  S m o o t h e d  Outputs dy4, pi4, pi^n4, ur4, NAIRU4')
subplot(3,2,1);
 plot(t_yy,dy_yy,'r+-');
 hold on
 plot(t_yy,dy_yy_s,'bx-');
 hold on
 plot(t_yy,dyp_yy_s,'kh-');
 hold on
 plot(t_yy,zeros(size(t_yy)),'k:');
 hold on
 legend(['{\Delta}y4   data'],...
        ['{\Delta}y4   smoothing  (iter.: ',int2str(pocet-1),')'],... 
        ['{\Delta}y^*4  smoothing  (iter.: ',int2str(pocet-1),')']);
 axis([min(t_yy)-0.25 max(t_yy)+ 0.25,...
       min([min(dy_yy),min(dyp_yy_s)])-0.3,...
       max([max(dy_yy),max(dyp_yy_s)])+0.3]);
 ylabel(['{\Delta}y4_t ,  {\Delta}y^*4_t  [ percentage rate ]']);
 title('Year-on-Year Real Product Growth Rate  &  Potential Product Growth Rate');
 
 subplot(3,2,2);
  plot(t_yy,ygap_s_yy,'bh-');
 hold on
  plot(t_yy,zeros(size(t_yy)),'k:');
 hold on
 legend(['gap^y4   smoothing  (iter.: ',int2str(pocet-1),')']); 
  axis([min(t_yy)-0.25 max(t_yy)+ 0.25,...
       min([min(ygap_s_yy)])-0.2,...
       max([max(ygap_s_yy)])+0.2]);
 ylabel(['gap^y4_t  [ percentage rate ]']);
 title('Moving Average Year-on-Year Production Gap');
 
 subplot(3,2,3)
 plot(t_yy,ur_yy,'r+-')
 hold on
 plot(t_yy,ur_yy_s,'bx-')
 hold on
 plot(t_yy,NAIRU_yy_s,'kh-')
 hold on
  legend(['ur4         data'],...
       ['ur4         smoothing  (iter.:  ',int2str(pocet-1),')'],...
       ['NAIRU4  smoothing  (iter.: ',int2str(pocet-1),')']);
 axis([min(t_yy)-0.25 max(t_yy)+0.25,...
       min([min(ur_yy_f),min(NAIRU_yy_f)])-0.25,...
       max([max(ur_yy_f),max(NAIRU_yy_f)])+0.25]);
 title('Moving Average Year-on-Year UR  &  Non-Accelerating Inflation UR');
 ylabel('ur4_t ,  NAIRU4_t   [ per cent ]');
 
 subplot(3,2,4)
 plot(t_yy,ur_yy_s-NAIRU_yy_s,'kh-')
 hold on
 plot(t_yy,zeros(size(t_yy)),'k:');
 hold on
 legend(['gap^{ur}4  smoothing  (iter.: ',int2str(pocet-1),')']);
 axis([min(t_yy)-0.25 max(t_yy)+0.25,...
       min([min(ur_yy_s-NAIRU_yy_s)])-0.15,...
       max([max(ur_yy_s-NAIRU_yy_s)])+0.15]);
 title('Mooving Average Year-on-Year Unemployment Gap');
 ylabel('gap^{ur}4_t   [ per cent ]');

subplot(3,2,6);
 plot(t_yy,pin_yy,'c+-')
 hold on
 plot(t_yy,pin_yy_s,'mx-')
 hold on
 plot(t_yy,pic_yy,'ro-')
 hold on
 plot(t_yy,pic_yy_s,'b.-')
 hold on
 plot(t_yy,zeros(size(t_yy)),'k:')
 hold on
 legend(['{\pi}^n4   data'],...
        ['{\pi}^n4   smoothing  (iter.: ',int2str(pocet-1),')'],...
        ['{\pi}4    data'],...
        ['{\pi}4    smoothing  (iter.: ',int2str(pocet-1),')']);
 axis([min(t_yy)-0.25 max(t_yy)+0.25,...
       min([min(pin_yy_s),min(pic_yy_s)])-0.6,...
       max([max(pin_yy_s),max(pic_yy_s)])+0.6]);
 title('Year-on-Year Net Inflation Rate  &  CP Inflation Rate'); %...,   t - v a r y i n g  model');%...     ( Iteration Number : ',int2str(pocet-1),' )']);
 ylabel('{\pi}^n4_t,  {\pi}4_t  [ percentage rate ]');

i=npar+5;
iplot = iplot+1;
figure(iplot);
clf
set(gcf,'Name',' Filtered/Smoothed growth of NAIRU');
subplot(211)

plot(tt,XF(i,1:nt,1),'m.-')
hold on
plot(tt,XF(i,1:nt,pocet-1),'r*-')
hold on
axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
grid
hold on 
title('filtered growth of NAIRU')
subplot(212)
plot(tt,XS(i,1:nt,1),'m.-')
hold on
plot(tt,XS(i,1:nt,pocet-1),'r*-')
hold on
axis([min(tt)-0.25 max(tt)+0.25 -inf +inf]);
title('smoothed growth of NAIRU')

grid
hold on 


%data saver
laxton_kalman_present.tt = tt; %time
laxton_kalman_present.NAIRU_s = NAIRU_s; %smoothed NAIRU
laxton_kalman_present.gap_ur_s = gap_ur_s; %smoothed unemployment gap (quarterly)
laxton_kalman_present.ygap_s =ygap_s; %smoothed GDP gap


save laxton_kalman_present.mat laxton_kalman_present;
 