clear all
close all
clc

%load gordon_present.mat;
load gordon_bayes.mat

 %data saver
 gordon_present.UNR_Y = UNR_Y;
 gordon_present.NAIRU_Y = NAIRU_Y;
 gordon_present.UNR_EQ = UNR_EQ(6:end-1);
 gordon_present.timeY = timeY;
 
save gordon_present.mat gordon_present;

load laxton_dynare_present.mat;
load laxton_kalman_present.mat;
load LaxtonEstimate3_results.mat;


%data presentation
figure
set(gcf,'Name','time');
plot(laxton_dynare_present.time,laxton_dynare_present.time);
legend('Time');
title('time','Interpreter','none');
  
figure
set(gcf,'Name','RR_GAP');
plot(laxton_dynare_present.time,laxton_dynare_present.r_gap);
legend('Real 3M Interbank Rate Gap');
title('RR_GAP','Interpreter','none');
  
figure
set(gcf,'Name','LZ_GAP');
plot(laxton_dynare_present.time,laxton_dynare_present.z_gap);
legend('Real Exchange Rate DEM/CZK Gap');
title('LZ_GAP','Interpreter','none');
  
figure
set(gcf,'Name','PIE_M_XENERGY4');
plot(laxton_dynare_present.time,laxton_dynare_present.pie_m);
legend('Import Prices ex Energy y-o-y Inflation [% pa]');
title('PIE_M_XENERGY4','Interpreter','none');
  
figure
set(gcf,'Name','PIE_NET4');
plot(laxton_dynare_present.time,laxton_dynare_present.pie);
legend('Net y-o-y Inflation [% pa]');
title('PIE_NET4','Interpreter','none');
  

figure
set(gcf,'Name','Yr');
plot(laxton_dynare_present.time,laxton_dynare_present.y);
legend('Logarithm of Quartal GDP (s.a.)');
title('log(Yr), s.a.','Interpreter','none');
  
figure
set(gcf,'Name','U_Rate');
plot(laxton_dynare_present.time,laxton_dynare_present.u);
legend('Unemloyment rate, s.a. [% pa]');
title('U_Rate','Interpreter','none');

  
figure
set(gcf,'Name','LGDP_GAP');
plot(laxton_dynare_present.time,laxton_dynare_present.y_gap);
legend('Real GDP Gap');
title('LGDP_GAP','Interpreter','none');




%Results

log_y = laxton_dynare_present.y;
[hp_y, hp_gap_y] = hpfilter(log_y,1600);



%GDP gap
figure
set(gcf,'Name','GDP_GAP');
%plot(laxton_dynare_present.time,laxton_dynare_present.y_gap,'c+-');
%hold on
plot(laxton_dynare_present.time, oo_.SmoothedVariables.y_gap,'mx-');
hold on
plot(laxton_kalman_present.tt, laxton_kalman_present.ygap_s,'ro-');
hold on
plot(laxton_dynare_present.time,100*hp_gap_y,'g*:');
hold on
plot(gordon_present.timeY,zeros(size(gordon_present.timeY)),'k:');
%legend('CNB','Laxton - Dynare','Laxton - Kalman','HP filtr');
legend('Laxton - Dynare','Laxton - Kalman','HP filtr');
title('GDP_GAP','Interpreter','none');




%NAIRU

unem = gordon_present.UNR_Y;
[hp_u, hp_gap_u] = hpfilter(unem,1600);


figure
set(gcf,'Name','NAIRU');
plot(gordon_present.timeY,gordon_present.UNR_Y,'k:');
hold on
%plot(gordon_present.timeY,gordon_present.UNR_EQ(1:end-1),'c+-');
%hold on
plot(laxton_dynare_present.time, oo_.SmoothedVariables.NAIRU+dr_.ys(2),'mx-');
hold on
plot(laxton_kalman_present.tt, laxton_kalman_present.NAIRU_s,'ro-');
hold on
plot(gordon_present.timeY,gordon_present.NAIRU_Y,'.-');
hold on
plot(gordon_present.timeY,hp_u,'g*:');
%legend('UNR','NAIRU - CNB','Laxton - Dynare','Laxton - Kalman','Gordon - Hysteresis','HP filtr');
legend('UNR','Laxton - Dynare','Laxton - Kalman','Gordon - Hysteresis','HP filtr');
title('NAIRU','Interpreter','none');





%Unemployment gap
figure
set(gcf,'Name','Unemployment gap');
%plot(gordon_present.timeY,gordon_present.UNR_Y-gordon_present.UNR_EQ(1:end-1),'c+-');
%hold on
plot(laxton_dynare_present.time, oo_.SmoothedVariables.u-oo_.SmoothedVariables.NAIRU,'mx-');
hold on
plot(laxton_kalman_present.tt, laxton_kalman_present.gap_ur_s,'ro-');
hold on
plot(gordon_present.timeY,gordon_present.UNR_Y-gordon_present.NAIRU_Y,'.-');
hold on
plot(gordon_present.timeY,hp_gap_u,'g*:');
hold on
plot(gordon_present.timeY,zeros(size(gordon_present.timeY)),'k:');
%legend('UNR GAP - CNB','Laxton - Dynare','Laxton - Kalman','Gordon - Hysteresis','HP filtr');
legend('Laxton - Dynare','Laxton - Kalman','Gordon - Hysteresis','HP filtr');
title('Unemployment gap (UNR-NAIRU)','Interpreter','none');








  
 


