clear all
close all
clc

%load gordon_present.mat;
load gordon_bayes.mat

 %data saver
 gordon_present.UNR_Y = UNR_Y;
 gordon_present.NAIRU_Y = NAIRU_Y;
 gordon_present.timeY = timeY;
 
save gordon_present.mat gordon_present;

load laxton_dynare_present.mat;


load LaxtonEstimate3_results_hystereze.mat;
laxton_y_gap_hystereze = oo_.SmoothedVariables.y_gap;
laxton_NAIRU_hystereze = oo_.SmoothedVariables.NAIRU+dr_.ys(2);
laxton_u_gap_hystereze = oo_.SmoothedVariables.u-oo_.SmoothedVariables.NAIRU;

load LaxtonEstimate3_results_NAIRU.mat;
laxton_y_gap_NAIRU = oo_.SmoothedVariables.y_gap;
laxton_NAIRU_NAIRU = oo_.SmoothedVariables.NAIRU+dr_.ys(2);
laxton_u_gap_NAIRU = oo_.SmoothedVariables.u-oo_.SmoothedVariables.NAIRU;

load LaxtonEstimate3_results_NRH.mat;
laxton_y_gap_NRH = oo_.SmoothedVariables.y_gap;
laxton_NAIRU_NRH = oo_.SmoothedVariables.NAIRU+dr_.ys(2);
laxton_u_gap_NRH = oo_.SmoothedVariables.u-oo_.SmoothedVariables.NAIRU;



%data presentation
figure
set(gcf,'Name','time');
plot(laxton_dynare_present.time,laxton_dynare_present.time);
legend('Time');
title('time','Interpreter','none');
  
figure
set(gcf,'Name','RR_GAP');
plot(laxton_dynare_present.time,laxton_dynare_present.r_gap);
legend('Real 3M Interbank Rate Gap');
title('RR_GAP','Interpreter','none');
  
figure
set(gcf,'Name','LZ_GAP');
plot(laxton_dynare_present.time,laxton_dynare_present.z_gap);
legend('Real Exchange Rate DEM/CZK Gap');
title('LZ_GAP','Interpreter','none');
  
figure
set(gcf,'Name','PIE_M_XENERGY4');
plot(laxton_dynare_present.time,laxton_dynare_present.pie_m);
legend('Import Prices ex Energy y-o-y Inflation [% pa]');
title('PIE_M_XENERGY4','Interpreter','none');
  
figure
set(gcf,'Name','PIE_NET4');
plot(laxton_dynare_present.time,laxton_dynare_present.pie);
legend('Net y-o-y Inflation [% pa]');
title('PIE_NET4','Interpreter','none');
  

figure
set(gcf,'Name','Yr');
plot(laxton_dynare_present.time,laxton_dynare_present.y);
legend('Logarithm of Quartal GDP (s.a.)');
title('log(Yr), s.a.','Interpreter','none');
  
figure
set(gcf,'Name','U_Rate');
plot(laxton_dynare_present.time,laxton_dynare_present.u);
legend('Unemloyment rate, s.a. [% pa]');
title('U_Rate','Interpreter','none');

  



%Results

log_y = laxton_dynare_present.y;
[hp_y, hp_gap_y] = hpfilter(log_y,1600);



%GDP gap
figure
set(gcf,'Name','GDP_GAP');
plot(laxton_dynare_present.time, laxton_y_gap_hystereze,'cx-');
hold on
plot(laxton_dynare_present.time, laxton_y_gap_NAIRU,'mo--');
hold on
plot(laxton_dynare_present.time, laxton_y_gap_NRH,'r+-.');
hold on
plot(laxton_dynare_present.time,100*hp_gap_y,'g*:');
hold on
plot(gordon_present.timeY,zeros(size(gordon_present.timeY)),'k:');
legend('Laxton - hysteresis','Laxton - NAIRU','Laxton - NRH','HP filter');
title('Output gap','Interpreter','none');




%NAIRU

unem = gordon_present.UNR_Y;
[hp_u, hp_gap_u] = hpfilter(unem,1600);


figure
set(gcf,'Name','NAIRU');
plot(gordon_present.timeY,gordon_present.UNR_Y,'k:');
hold on
plot(laxton_dynare_present.time, laxton_NAIRU_hystereze,'cx-');
hold on
plot(laxton_dynare_present.time, laxton_NAIRU_NAIRU,'mo--');
hold on
plot(laxton_dynare_present.time, laxton_NAIRU_NRH,'r+-.');
hold on
plot(gordon_present.timeY,gordon_present.NAIRU_Y,'b.-');
hold on
plot(gordon_present.timeY,hp_u,'g*:');
%legend('UNR','NAIRU - CNB','Laxton - Dynare','Laxton - Kalman','Gordon - Hysteresis','HP filtr');
legend('Unemployment','Laxton - Hysteresis','Laxton - NAIRU','Laxton - NRH','Gordon - Hysteresis','HP filter');
title('NAIRU','Interpreter','none');





%Unemployment gap
figure
set(gcf,'Name','Unemployment gap');
plot(laxton_dynare_present.time, laxton_u_gap_hystereze,'cx-');
hold on
plot(laxton_dynare_present.time, laxton_u_gap_NAIRU,'mo--');
hold on
plot(laxton_dynare_present.time, laxton_u_gap_NRH,'r+-.');
hold on
plot(gordon_present.timeY,gordon_present.UNR_Y-gordon_present.NAIRU_Y,'.-');
hold on
plot(gordon_present.timeY,hp_gap_u,'g*:');
hold on
plot(gordon_present.timeY,zeros(size(gordon_present.timeY)),'k:');
%legend('UNR GAP - CNB','Laxton - Dynare','Laxton - Kalman','Gordon - Hysteresis','HP filtr');
legend('Laxton - Hysteresis','Laxton - NAIRU','Laxton - NRH','Gordon - Hysteresis','HP filter');
title('Unemployment gap','Interpreter','none');








  
 


